* Merge all WAS surveys into one data file.


*************
*   bm92     *
*************.
include		'D:\_WAS\1992 india\make bm92 fit other WAS.sps'.
save 	outfile	'D:\_WAS\1992 india\1992 India partly processed.sav' /drop ID
		temp_1,temp_2,temp_3,temp_4, 	managmST,finalsST,at_finST,mindKiST  mana_sST,fina_sST,at_f_sST,MIND_sST,  jobS2,
		INT_codS,INT_sex,SEXst,female,sex_chek,job_chek,jobHchek,jobWchek, ethnic, oldesKid,
		age_husb,age_wife,age_avge,age_diff,  	n_infant,n_junior,n_school,n_childr,Hindu,Muslim,Christia,Rom_Cath,relig,
		p1_jobSt,  p2_jobSt,  p3_jobSt,  p4_jobSt,  p5_jobSt,  p6_jobSt,  p7_jobSt,  p8_jobSt,  p9_jobSt,  p10jobSt,  p11jobSt,  p12jobSt,
		p1_jobS2, p2_jobS2, p3_jobS2, p4_jobS2  p5_jobS2, p6_jobS2, p7_jobS2, p8_jobS2, p9_jobS2, p10jobS2, p11jobS2, p12jobS2,
		p1_rels4,  p2_rels4,  p3_rels4,   p4_rels4,  p5_rels4,  p6_rels4,  p7_rels4,  p8_rels4,   p9_rels4,  p10rels4,  p11rels4,  p12rels4.
* Drop variables: 	age_husb & age_wife (age_hus & age_wif are calculated by later syntax files).
* Drop variable:	paidEver:  this info in JOB & job_wif (paidEver=3=still working: consistent with JOB?).
* Drop variables:	n_infant,n_junior,n_school:  could calculate similar variables from  mage_1,fage_1,etc.
freq	ethnic_gp.
get	file	'D:\_WAS\1992 india\1992 India partly processed.sav'.
disp labels.



***********
*   rs94  *
***********.
include		'D:\_WAS\1994 Brazil\make Brazil 1994 compatible with bm92.SPS'.
save 	outfile	'D:\_WAS\1994 Brazil\1994 Brazil partly processed.sav' /drop= ID 
		temp_1,temp_2,temp_3,  PREPHUSm,PREPWIFm,COOKHUSm,COOKWIFm,MINDHUSd,MINDWIFd,
		INT_codS,            	kid_PRES,adu_PRES, relig, MANAGmST,FINALsST,AT_finST,
		p1_Iclas,  p2_Iclas,  p3_Iclas,  p4_Iclas,  p5_Iclas,  p6_Iclas,  p7_Iclas,  p8_Iclas,  p9_Iclas,  p10Iclas,  p11Iclas,
		p1_I_JOB,p2_I_JOB,p3_I_JOB,p4_I_JOB,p5_I_JOB,p6_I_JOB,p7_I_JOB,p8_I_JOB,p9_I_JOB,p10I_JOB,p11I_JOB,
		p1_jobSt,  p2_jobSt,  p3_jobSt,  p4_jobSt,  p5_jobSt,  p6_jobSt,  p7_jobSt,  p8_jobSt,  p9_jobSt,  p10jobSt,  p11jobSt,
		p1_jobS2, p2_jobS2, p3_jobS2, p4_jobS2  p5_jobS2, p6_jobS2, p7_jobS2, p8_jobS2, p9_jobS2, p10jobS2, p11jobS2,
		p1_tenur,  p2_tenur, p3_tenur,  p4_tenur,  p5_tenur,  p6_tenur,  p7_tenur, p8_tenur,  p9_tenur,  p10tenur,  p11tenur,
		p1_relSt,   p2_relSt,  p3_relSt,   p4_relSt,   p5_relSt,  p6_relSt,  p7_relSt,   p8_relSt,   p9_relSt,   p10relSt,  p11relSt,
		p1_rels4,  p2_rels4,  p3_rels4,   p4_rels4,  p5_rels4,  p6_rels4,  p7_rels4,  p8_rels4,   p9_rels4,   p10rels4,  p11rels4,
		p1_I_nix,  p2_I_nix,  p3_I_nix,   p4_I_nix,   p5_I_nix,  p6_I_nix,  p7_I_nix,   p8_I_nix,   p9_I_nix,   p10I_nix,  p11I_nix spPtotal.
freq religion.

* Ignore last digit of ISCO I typed (read as p1_I_nix,p2_I_nix,etc).
* Maybe I could learn more from p1_tenur, p2_tenur, etc.
get file	 	'D:\_WAS\1994 Brazil\1994 Brazil partly processed.sav'.
disp labels.



*****************
*  1997 India    *
*****************.
include		'D:\_WAS\1997 India\read raw bmdc97.sps'.
save outfile		'D:\_WAS\1997 India\1997 India partly processed.sav' /drop= ID 
		INT_ACOM,INT_CHK1,INT_CHK2,INTcheck,INT_SCRU,INT_pre1,INT_pre2,INT_pre3,job_cweS.
freq		int_lang.

*get 	file	'D:\_WAS\1997 India\1997 India partly processed.sav'.
*disp labels.
*freq 		CWE_code.



***************
*  SA 2000    *
***************.
*C:\_was\SPSS syntax for all years\derive HH vars from P1 etc.sps:  not for sa2000.
include		'D:\_WAS\2000 S. Africa\read raw SA2000.sps'.
save outfile		'D:\_WAS\2000 S. Africa\2000 S. Africa partly processed.sav' /drop= ID
		AGEgroup, occup, EARN_HoH,EARN_spo,
		q2H_EDU,q2S_EDU,   d601,d603,d611,d621,d622, 
		d708,d709,d710, d901 to d912,d201 to d522, d809,d810 cookHus,cookWif langr01 to langu12
		q2s_sex q2s_age q2s_edu q2s_inc homosex couple.
* Note:  d201 to d522 are shops where the respondent shops at - possibly worth keeping.
* Could remove list of languages spoken, like L_englis etc list in NG03 & NG05; if remove them from here, remove them from 'derive_variables.sps'.
freq fem_spou.

*get	file	'D:\_WAS\2000 S. Africa\2000 S. Africa partly processed.sav'.
*disp labels.



*******************************
*  Indonesia 2001 & 2002     *
*******************************.
include		'D:\_WAS\2001-2 Indonesia\2001 Indonesia\process 2001 raw data.sps'.
include		'D:\_WAS\2001-2 Indonesia\2002 Indonesia\process 2002 raw data.sps'.
include		'D:\_WAS\2001-2 Indonesia\make data match other was svys step1.sps'.
include		'D:\_WAS\2001-2 Indonesia\make data match other was svys step2.sps'.
save outfile		'D:\_WAS\2001-2 Indonesia\Indonesia partly processed.sav'   /drop  HHids HHid liveIFLS liveDESA ID version
		kr04a kr04b kr04c pmsk,pwwcrk,sc08,sc09,intmcode,intfcode BORNresp BORNspou
		al01a,al01b al02a,al02b al03a,al03b al04a,al04b al05a,al05b al06a,al06b al07a,al07b
		a1a a1b   	tempVar1 tempVar2 tempVar3  L_ks03a sc03  cooker cookrLPG cookrKER
		p1_r_HOH p2_r_HOH p3_r_HOH p4_r_HOH p5_r_HOH p6_r_HOH p7_r_HOH p8_r_HOH p9_r_HOH p10r_HOH
		p11r_HOH p12r_HOH p13r_HOH p14r_HOH p15r_HOH p16r_HOH p17r_HOH p18r_HOH p19r_HOH p20r_HOH
		p21r_HOH p22r_HOH p23r_HOH
		p15relat p16relat p17relat p18relat p19relat p20relat p21relat p22relat p23relat businFam.

*get       file	'D:\_WAS\2001-2 Indonesia\Indonesia partly processed.sav'.
*disp labels.



********************
*   2002 India     *
********************.
get 	file 	'D:\_WAS reference\India\2002 India\raw bmdcpk2002.sav'.	/* This file contains respondent's surname (not released to the public).
* On 11th August 2009, I copied the next 4 lines from 'read raw bmdcpk2002.sps'.
string		BORNstat (a2).				/* Unlike BM92, use lower-case for state with India (e.g. Goa);  'OI'=Outside India.
if (b11_12<32)	BORNstat = 'IN'.				/* This line temporary, so ethnicity works out OK in next 3 lines.
rename var (name = surname).
include		'D:\_WAS\SPSS syntax for all years\work out ethnicity from surname  India.sps'.
freq		ethnic_gp.
save	outfile	'D:\_WAS\2002 India\2002 India raw without surnames.sav' 	/drop= surname.
*.
*.
include		'D:\_WAS\2002 India\read raw bmdcpk2002.sps'.		/* Go back to original file (works out ethnicity from surname).
save	outfile	'D:\_WAS\2002 India\2002 India partly processed.sav'	/drop=
		idST,ID, 	BORNsta, c42_husb,c43_oth,c44_chil,  PAID_hST,PAID_wST a41 cookrELE
		savingPa  spacerea spadairy spaveget spameatF spaoilbr spainsta spadrink spatobac spafmeal
		spasnack spacloth spagambl spagas spael_wa sparent spamaid spalaund spatrans spaphone
		COOK_hST, SHOP_hST, LAUNDhST,CLOTHhST, CLEANhST,MIND_hST, LEISUhST,
		COOK_wST, SHOP_wST,LAUNDwST,CLOTHwST,CLEANwST,MIND_wST,LEISUwST,
			cookrlpg cookrker ethnicST.
* Don't keep these vars:	cooker 	cookrlpg cookrker (cookType has the same info).
*freq		live_cit.
missing val			paid_hus paid_wif (-9 thru -1).
breakd			paid_hus paid_wif by LIVE_cit	/cells mean.

*get	file	'D:\_WAS\2002 India\2002 India partly processed.sav'.
*disp labels.
freq		CWE_code.



*********************
*  2003 Nigeria    *
*********************.
include		'D:\_WAS\2003 Nigeria\read raw RMS data.sps'.
save 	outfile	'D:\_WAS\2003 Nigeria\2003 Nigeria partly processed.sav'  /drop  IDnum  qh19 qh19m
		qh1a_1 qh1a_2 qh1a_3 qh1a_4 qh1a_5 qh1a_6 qh1a_7 qh1a_8 qh1a_9 qh1a_10
		qh1a_11 qh1a_12 qh1a_13
		chidag1 chidag2 chidag3 chidag4 chidag5 chidag6
		chid1 chid2 chid3 chid4 chid5  chid7
		qh3a  qh6a	qh7aa qh7ab qh7ac qh7ad qh7ae qh7af qh7ag
				qh7ba qh7bb qh7bc qh7bd qh7be qh7bf qh7bg	qh8a qh8b income earnings Chris
		ageGp	dura15,dura19,dura20		lang11
		regurb regrur  area erea sector	uniq_id  samp
		chidag1 chidag2 chidag3 chidag4 chidag5 chidag6	chid1 chid2 chid3 chid4 chid5 chid7.
* L_englis L_Hausa L_Igbo L_Yoruba L_Fulani L_Edo L_Tiv L_Nupe L_Urhobo L_other.  /* If I add this line to above list, remove these vars from 'derive_variables.sps'.
* Drop	regurb regrur: just urban & rural components of erea.  ethnic is the same as INT_lang; could work out ethnic_gp from ethnic.

*get	 file 'D:\_WAS\2003 Nigeria\2003 Nigeria partly processed.sav'.
*disp labels.



**********************
*    Kenya 2004    *
**********************.
include		'D:\_WAS\2004 Kenya\convert Kenya2004 to WAS format.sps'.
save outfile      	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav' /drop= SNO head	q2
		age agem isfemale	weight	 weightz2 weigh_Z2 weightMn  gomez_wt underwt1 underwt2
					 height	 heightz2  heigh_Z2 heightMn  heightLs heighTmp heighTm2
		q7a1 q7a2 q7a3 q7a4 q7a5 q7a6 q7a7 q7a8 q7a9 q7a10 q7a11 q7a12 q7a13
		q7b1 q7b2 q7b3 q7b4 q7b5 q7b6 q7b7 q7b8 q7b9 q7b10 q7b11 q7b12 q7b13
 		      q9a2w	q9a2_2w	  q9a3_2w	q9a4_2w	q9a5_2w	  q9a6_2w	  q9a7_2w
		  q9a8_2w	q9a9_2w	q9a10_2w	q9b1_2w	q9b2_2w	  q9b3_2w	  q9b4_2w
		  q9b5_2w	q9b6_2w	  q9b7_2w	q9b8_2w	q9b9_2w	q9b10_2w	q9b11_2w
		q9b12_2w	q9c1_2w	  q9c2_2w	q9c3_2w	q9c4_2w	  q9d1_2w	  q9d2_2w
		  q9d3_2w	q9d4_2w	    q9e_2w	   q9f_2w	q9g1_2w	  q9g2_2w	    q9h_2w
		q10a q10b q10c q10d q10e q10f q10g q10h q10i
		present1 prs1 prs2 prs3  faci1 faci2 faci3 faci4 faci5 cook2 cook3 cook4 cook5
		q11a2_1 q11a2_2 q11a2_3 q11a2_4 q11a2_5	q11b1_1 q11b1_2 q11b1_3
		p1_heigh,p2_heigh,p3_heigh,p4_heigh,p5_heigh,p6_heigh,p7_heigh,p8_heigh,p9_heigh,p10heigh heightRel heigh_n heighSum
		num_meal  brekMeal luncMeal suprMeal othrMeal tea_Meal missMeal outDrink
		sp_mFlou	sp_maize	sp_wheat	sp_rice		sp_pasta	sp_platn
		sp_swPot	sp_potat	sp_yam		sp_peas	sp_beans	sp_gGram	
		sp_cashe	sp_peanu	sp_soya	sp_eggs	sp_njahi	sp_sorgh	
		sp_milet		sp_simsi			sp_mala	sp_shaky	sp_yogur	
		sp_ghee	sp_buttr		sp_cream	sp_vegOt	sp_marge	sp_cornF	
		sp_weeta	sp_oats		sp_noodl	sp_tins		sp_frozn	sp_snak	
		sp_sausa	sp_coffe	sp_tea		sp_cocoa	sp_choco	sp_sodas	
		sp_juicC	sp_juice	sp_eDrnk	
		sp_fares	sp_cookG	sp_keros	sp_fwood	sp_charc
		sp_phonL	sp_shoes	sp_clotg	sp_feePr	sp_feeSe	sp_feeCo
		sp_medIn	sp_medBi	sp_eduIn	sp_morIn	sp_lifIn.                      /* Keep IDnum (Kenya only), to match files.
* These height variables are new to Kenya 2004 (they've been used in 'convert Kenya2004 to WAS format.sps' to calculate heighAny & heighPct);
* I don't think there's any point in keeping these:
*		p1_heigh,p2_heigh,p3_heigh,p4_heigh,p5_heigh,p6_heigh,p7_heigh,p8_heigh,p9_heigh,p10heigh.
* These spending variables are new to Kenya 2004;  they've already been used in 'convert Kenya2004 to WAS format.sps', to calculate sp_cerea etc.
* I don't think there's any point in keeping the vars listed below, unless a future survey also includes one of more them.  
*		sp_mFlou	sp_maize	sp_wheat	sp_rice		sp_pasta	sp_platn
*		sp_swPot	sp_potat	sp_yam		sp_peas	sp_beans	sp_gGram	
*		sp_cashe	sp_peanu	sp_soya	sp_eggs	sp_njahi	sp_sorgh	
*		sp_milet		sp_simsi			sp_mala	sp_shaky	sp_yogur	
*		sp_ghee	sp_buttr		sp_cream	sp_vegOt	sp_marge	sp_cornF	
*		sp_weeta	sp_oats		sp_noodl	sp_tins		sp_frozn	sp_snak	
*		sp_sausa	sp_coffe	sp_tea		sp_cocoa	sp_choco	sp_sodas	
*		sp_juicC	sp_juice	sp_eDrnk	
*		sp_fares	sp_cookG	sp_keros	sp_fwood	sp_charc
*		sp_phonL	sp_shoes	sp_clotg	sp_feePr	sp_feeSe	sp_feeCo
*		sp_medIn	sp_medBi	sp_eduIn	sp_morIn	sp_lifIn.
* Note that q9a2w etc (weights of food bought) are dropped above, but it may be the most accurate way to estimate calorie consumption.
*
* Later, this syntax file will also drop these 2 variables:  district  area  (district is used in 'derive_variables.sps').
* Could keep outDrink, because it's sometimes inconsistent with out_resp.

*breakd 	violchas  violbeat   violverb   violdeny	violhumi   violmony  violcold   violslap	by sex by control	/cells mean.   /*U-shaped pattern.
* By "experienced this", respondents may include if they were the perpetrator - this could explain why, for women, 'cold war' has an upside-down-U pattern.


* If a child under 5 & height data, get person 1 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p1_hight.
compute     ageM                        =          p1_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save           outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p1.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 2 data.
get		file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p2_hight.
compute     ageM                        =          p2_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p2.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 3 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p3_hight.
compute     ageM                        =          p3_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p3.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 4 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p4_hight.
compute     ageM                        =          p4_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p4.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 5 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p5_hight.
compute     ageM                        =          p5_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p5.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.

* If a child under 5 & height data, get person 6 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p6_hight.
compute     ageM                        =          p6_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p6.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.

* If a child under 5 & height data, get person 7 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p7_hight.
compute     ageM                        =          p7_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p7.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 8 data.
get                                                                      	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p8_hight.
compute     ageM                        =          p8_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p8.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 9 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p9_hight.
compute     ageM                        =          p9_ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p9.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*.
* If a child under 5 & height data, get person 10 data.
get	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
compute                          height  =          p10hight.
compute     ageM                        =          p10ageM.
formats       ageM             height (f3.0).
select if     (ageM > -1 and height > 0).
exec.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p10.sav' /drop 
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.

get                                                                      	file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_tmp.sav'.
* Drop these 20 variables, now the above 10 files have been created.
save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya partly processed.sav' /drop
		month1   month2    month3   month4    month5    month6    month7   month8    month9   month10
       		p1_hight  p2_hight  p3_hight  p4_hight  p5_hight   p6_hight  p7_hight  p8_hight  p9_hight  p10hight.
*freq  heighRel.
*disp labels.
add files /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p1.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p2.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p3.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p4.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p5.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p6.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p7.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p8.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p9.sav'
              /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p10.sav'.

cros survey by sex by vior_wif

compute 	age = trunc(ageM/12).					/* Slightly confusing: age is usually age of respondent, but here it means age of child.

compute 	sourceFile = 3.					/* For comparability with my syntax file for DHS (convert DHS to WAS format.sps).
var lab     	sourceFile "Type of information/respondent". 
val lab     	sourceFile 1 'wife'  2 'husband'  3 'child'. 
formats  	sourceFile (f2.0).

compute   	weight    = -9.
compute   	heightLS = -9.
exec.
include		'D:\_WAS\SPSS syntax for all years\underfed.sps'.	/* This line works out heightmn heightZ2.

sort cases  by IDnum.

save	outfile	'D:\_WAS\2004 Kenya\2004 Kenya kids.sav' /drop  weight weightMn weightZ2
  p1_sex p2_sex p3_sex p4_sex p5_sex p6_sex p7_sex p8_sex p9_sex p10sex
  p1_relat p2_relat p3_relat p4_relat p5_relat p6_relat p7_relat p8_relat p9_relat p10relat
  p1_educ p2_educ p3_educ p4_educ p5_educ p6_educ p7_educ p8_educ p9_educ p10educ
  p1_job p2_job p3_job p4_job p5_job p6_job p7_job p8_job p9_job p10job
  p1_age p2_age p3_age p4_age p5_age p6_age p7_age p8_age p9_age p10age
  p1_ageM p2_ageM p3_ageM p4_ageM p5_ageM p6_ageM p7_ageM p8_ageM p9_ageM p10ageM.
* So far, child height data in WAS surveys only available for Kenya;  could add to more countries in future surveys.
*graph /line mean(height) by ageM  by ethnic.

*match files
  table	'D:\_WAS\2004 Kenya\2004 Kenya partly processed_p1.sav'
  file   	'D:\_WAS\2004 Kenya\2004 Kenya kids.sav'                             /by IDnum.
* The above is a way of combining data on height of each child, with household data (e.g. number of people in the household).


*****************************
*       2005 Nigeria         *
*****************************.
include		'D:\_WAS\2005 Nigeria\read raw RMS 2005 data.sps'.
save 	outfile	'D:\_WAS\2005 Nigeria\2005 Nigeria partly processed.sav'  /drop IDnum
 		qh1a_1 qh1a_2 qh1a_3 qh1a_4 qh1a_5 qh1a_6 qh1a_7 qh1a_8 qh1a_9 qh1a_10 qh1a_11 qh1a_12 qh1a_13
 		qh8c income qh20 qh20m	ch000001 ch000002 ch000003 ch000004 ch000005 ch000006
 		qh000001 qh000002 qh000003 qh000004 qh000005 qh000006 qh000007 qh000008 qh000009 qh000010
 		qh000011 qh000012 qh000013 qh000014 qh000015 qh000016 qh000017 qh000018 qh000019 qh000020
 		qh000021 qh000022 qh000023 qh000024 qh000025 qh000026 qh000027 qh000028 qh000029 qh000030
 		qh000031 qh000032 qh000033 qh000034 qh000035		do000011 do000012  qh11a qh11b qh11c
 		qh6a qh7a_1 qh7a_2 qh7a_3 qh7a_4 qh7a_5 qh7a_6 qh7a_7 qh7b_1 qh7b_2 qh7b_3
 		qh7b_4 qh7b_5 qh7b_6 qh7b_7 qh8a qh8b	regurb regrur area erea   chid1 chid2 chid3 chid4 chid5 chid7
 		la000011  du000015 du000019 du000020	 ma000001 ma000002 ma000003 ma000004 ma000005 ma000006
 		will samp ageGp earnings Chris sector  qh22_1.
*  L_englis L_Hausa L_Igbo L_Yoruba L_Fulani L_Edo L_Tiv L_Nupe L_Urhobo L_other.  /* If I add this line to above list, remove these vars from 'derive_variables.sps'.
*  ethnic is the same as INT_lang; could work out ethnic_gp from ethnic.
*get 	file	'D:\_WAS\2005 Nigeria\2005 Nigeria partly processed.sav'.  
*disp labels.



************************************
*      2005-6 Egypt	*
************************************.
include		'D:\_WAS\2005-6 Egypt\read raw data.sps'.
save 	outfile	'D:\_WAS\2005-6 Egypt\2005-6 Egypt partly processed.sav'/ drop	HQUESTNO HELIG HELIGC
					 HINT   HTEAM  HSUPERV  HRESULT  HVISITS  HCODER  HKEYER HSTARTH HSTARTM h23h h23m
		WPSU WNUMBER 	WINT WTEAM WSUPERV WRESULT WVISITS WCODER WKEYER    W101H     W101M 
		WTYPE WINTNUM WADDCHK WREINT WGOVERN hMEMBER hRESP	hINTd hINTm hINTy
		h19j h19x  w515h w515m  hPSU hNUMBER  wINTd wINTm 
		p1_r_HOH p2_r_HOH p3_r_HOH p4_r_HOH p5_r_HOH p6_r_HOH p7_r_HOH p8_r_HOH p9_r_HOH p10r_HOH
		p11r_HOH p12r_HOH p13r_HOH p14r_HOH p15r_HOH p16r_HOH p17r_HOH p18r_HOH p19r_HOH p20r_HOH p21r_HOH p22r_HOH p23r_HOH
		h00$01 h00$02 h00$03 h00$04 h00$05 h00$06 h00$07 h00$08 h00$09 h00$10
		h00$11 h00$12 h00$13 h00$14 h00$15 h00$16 h00$17 h00$18 h00$19 h00$20
		h00$21 h00$22 h00$23 h00$24 h00$25 h00$26 h00$27 h00$28 h00$29 h00$30
		h00$31 h00$32 h00$33 h00$34 h00$35 h00$36 h00$37 h00$38 h00$39 h00$40
		h00$41 h00$42 h00$43 h00$44 h00$45 h00$46 h00$47 h00$48 h00$49 h00$50
		h02$24 to h02$50   h03$24 to h03$50   h04$24 to h04$50   h05$24 to h05$50  p1_marit to p23marit
		h06$01 to h06$50   h07$01 to h07$50   h08$24 to h08$50   h09$24 to h09$50
		h12	h13  x13a x13b x13c x13d x13e x13f x13g x13h 	x13x
			h17  x17a x17b x17c x17d x17e x17f 		x17x
		sp_educP sp_educF  sp_famil sp_gifts  sp_othYr sp_SERVI  SP_FdTOT, SP_S_TOT
		satelitL satelitN  washMacN washMacA h21j		w103  MARRmnth MARRyear  w108 w110 w111 w113  w114 w116 w117 w119
		w203AH w203AM w203BH w203BM w203CH w203CM w203DH w203DM w204AH w204AM w204BH w204BM w204CH w204CM w204DH w204DM
		w402new w404new		oldestP w407a to w408f w409  w501A w501B w501C w501D w502 w506
		w507b1 w507b2 w507b3 w507b4 w507b5 w507b6 w507b7 w507b8 w507b9 w507b10  w509d	 	roomSlee
		checkAge.

*Could use  w114 to check respondent's work status.
*freq  w110 w113.	/* I don't know what these two variables mean, but they could give more detail to EDUC & EDUCspou.  Could search internet;  or ask Cairo Univ.

*freq 		sex.
*cros		MARRIEDp by married.

*disp labels.
*breakd HHincome  by season.	/* Fell in Jul 2006.



******************
*   2007 India    *
******************.
include		'D:\_WAS\2007 India\read raw data 2007.sps'.	
save 	outfile	'D:\_WAS\2007 India\2007 India partly processed.sav' /drop= ID
		  sec q1c q1d q1e 	q11a19 q11a20 q11a21
		  q11b1 q11b2 q11b3 q11b4 q11b5 q11b6 q11b7 q11b8 q11b9 
		  q11b10 q11b11 q11b12 q11b13 q11b14 q11b15 q11b16 q11b17 q11b18 q11b19 q11b20 q11b21 q11b22
		  q11b23 q11b24 q11b25 q11b26	  qA1 qA2 qA3  date_int.
* q11b1 to q11b26 are 'intend to buy' durable goods;  could keep these variables, but I don't feel they'd be helpful.


*get 	file	'D:\_WAS\2007 India\2007 India partly processed.sav'.  
*disp labels.
*freq	CWE_code.

missing val			paid_hus paid_wif (-9 thru -1).
breakd			paid_hus paid_wif by LIVE_cit	/cells mean.



******************
*   2008 Chad   *
******************.
include		'D:\_WAS\2008 Chad\read raw Chad data.sps'.
save 	outfile	'D:\_WAS\2008 Chad\2008 Chad partly processed.sav' /drop
		ID, NAME_SUPERVISEUR, EDITED_BY, BACK_CHECKED_NAME INCOMME    LIVEcnty
		Q5_A Q5_B Q5_C Q5_D Q5_E Q5_F Q5_G Q6_A Q6_B Q6_C Q6_D Q6_E Q6_F Q6_G  Q7A Q7B 
		Q10_A1 Q10_B1 Q10_C1 Q10_D1 Q10_E1 Q10_F1 Q10_G1 Q10_H2 Q10_H3 Q10_I1 Q10_J1 Q10_K1 
		Q10_A Q10_B Q10_C Q10_D Q10_E Q10_F Q10_G Q10_H Q10_H1 Q10_I Q10_J Q10_K
		Q11_A1 Q11_B1 Q11_C1 Q11_D1 Q11_A Q11_B Q11_C Q11_D	Q18_A Q18_B
		Q20_OTHER  Q24_1 Q24_2 Q24_3	q27 q27whole 
		QA12_BIEN_SAISIE QA13_OPERATEUR  Q21_OTHER  LOCALITY
		sp_Drnk sp_Cafe sp_Clth sp_Gamb.

*get 	file	'D:\_WAS\2008 Chad\2008 Chad partly processed.sav'.
*freq	earn_wif.
*disp labels.




*************************
*   2009 Cameroon   *
*************************.
include		'D:\_WAS\2009 Cameroon\read raw Cameroon data.sps'.
save 	outfile	'D:\_WAS\2009 Cameroon\2009 Cameroon partly processed.sav' /drop
		ID locality START_time LIVEcnty EDUCchek car_chek airconChek
		Q5_A Q5_B Q5_C Q5_D Q5_E Q5_F Q5_G Q6_A Q6_B Q6_C Q6_D Q6_E Q6_F Q6_G  Q7A Q7B
		Q11_A Q11_B Q11_C Q11_D Q11_E Q11_F Q11_G Q11_H Q11_I Q11_J Q11_K Q11_A1 Q11_B1
		Q11_C1 Q11_D1 Q11_E1 Q11_F1 Q11_G1 Q11_H1 Q11_I1 Q11_J1 Q11_K1
		Q12_A Q12_B Q12_C Q12_D  Q12_A1 Q12_B1 Q12_C1 Q12_D1    Q19_A Q19_B    Q25_1 Q25_2 Q25_3  Q27
		position household_furnitures_1 to household_furnitures_15.

*get 	file	'D:\_WAS\2009 Cameroon\2009 Cameroon partly processed.sav'.
*freq	earn_wif.
*disp labels.




*********************************
*   2011 Congo-Brazzaville  *
*********************************.
include		'D:\_WAS\2011 Congo Brazzaville\read raw Congo Brazzaville data.sps'.
save 	outfile	'D:\_WAS\2011 Congo Brazzaville\2011 Congo Brazzaville partly processed.sav' /drop
		q19_a q19_b  q25_1 q25_2 q25_3    
		ID Locality Location_interview INTERVIEW_DATE Interviewr_name Supervisor_name Starting_time INTfemal n_people
		Q5A Q5B Q5C Q5D Q5E Q5F Q6A Q6B Q6C Q6D Q6E Q6F Q7A Q7B
	Q10_1_A Q10_2_A Q10_1_B Q10_2_B Q10_1_C Q10_2_C Q10_1_D Q10_2_D Q10_1_E Q10_2_E Q10_1_F Q10_2_F Q10_1_G Q10_2_G Q10_1_H 
	Q10_2_H Q10_1_I Q10_2_I Q10_1_J Q10_2_J Q10_1_K Q10_2_K Q11_1_A Q11_2_A Q11_1_B Q11_2_B Q11_1_C Q11_2_C Q11_1_D Q11_2_D
	Q2_OTHERS Q3A_OTHERS Q3B_OTHERS	 Q20_A Q21_OTHERS  Q24 Q26   livecnty.
		
*get 	    file	'D:\_WAS\2011 Congo Brazzaville\2011 Congo Brazzaville partly processed.sav'.



******************
*        2012 India         *  (strictly speaking, this is 2012-13).
******************.
include	        	'D:\_WAS\2012 India\read raw data 2012.sps'.	
save outfile 'D:\_WAS\2012 India\2012 India partly processed.sav' /drop  interviewA  interviewB  interviewC   cookrLPG  CWE   presSpou  presAdul  presKids IMRBclasA ID.
*get 	       file	'D:\_WAS\2012 India\2012 India partly processed.sav'.  




******************
*        2017 India         *
******************.
include	        	'D:\_WAS\2017 India\read raw data 2017.sps'.   	  /* Search zzz to check p1_relat p2_relat etc data.
save outfile 'D:\_WAS\2017 India\2017 India partly processed.sav' /drop ID AOLVAR_5 SECnew OCC
 H_SECOLkUpPos_1 H_SECOLkUpDt_1 H_SECNLkUpPos_1 H_SECNLkUpDt_1 SECOLD H_SECOLkUpPos_2 H_SECOLkUpDt_2 H_SECNLkUpPos_2 H_SECNLkUpDt_2 Q3a Q3b Q3c Q3coth NoOfFamilyMem
 Q4i_1    Q4ii_1   Q4iii_1     Q4i_2   Q4ii_2    Q4iii_2      Q4i_3   Q4ii_3    Q4iii_3      Q4i_4 Q4ii_4 Q4iii_4           Q4i_5 Q4ii_5 Q4iii_5 
 Q4i_6    Q4ii_6   Q4iii_6     Q4i_7   Q4ii_7    Q4iii_7      Q4i_8   Q4ii_8    Q4iii_8      Q4i_9 Q4ii_9 Q4iii_9             Q4i_10 Q4ii_10 Q4iii_10 
 Q4i_11 Q4ii_11 Q4iii_11   Q4i_12 Q4ii_12 Q4iii_12    Q4i_13 Q4ii_13 Q4iii_13    Q4i_14 Q4ii_14 Q4iii_14 Q4iv_14   Q4i_15 Q4ii_15 Q4iii_15 Q4iv_15
 Q4v_1 Q4vi_1 Q4v_2 Q4vi_2 Q4v_3 Q4vi_3 Q4v_4 Q4vi_4 Q4v_5 Q4vi_5 Q4v_6 Q4vi_6 Q4v_7 Q4vi_7 Q4v_8 Q4vi_8 Q4v_9 Q4vi_9 Q4v_10 Q4vi_10 Q4v_11  Q4vi_11 Q4v_12
 Q4vi_12 Q4v_13 Q4vi_13 Q4v_14 Q4vi_14 Q4v_15 Q4vi_15
 match_EDUp1_ match_EDUp2_  match_EDUp3_ match_EDUp4_ match_EDUp5_  match_EDUp6_ match_EDUp7_ match_EDUp8_ match_EDUp9_  match_EDUp10 match_EDUp11 match_EDUp12  match_EDUp13
 match_OCCp1_ match_OCCp2_ match_OCCp3_ match_OCCp4_ match_OCCp5_ match_OCCp6_ match_OCCp7_ match_OCCp8_ match_OCCp9_ match_OCCp10 match_OCCp11 match_OCCp12 match_OCCp13
 match_p1_         match_p2_          match_p3_          match_p4_          match_p5_ match_p6_ match_p7_ match_p8_ match_p9_ match_p10 match_p11 match_p12 match_p13  respondent_person_num
 p1_hasJb             p2_hasJb             p3_hasJb              p4_hasJb             p5_hasJb p6_hasJb p7_hasJb p8_hasJb p9_hasJb p10hasJb p11hasJb p12hasJb p13hasJb
 Q5 Q5oth Q6a Q6aoth Q6b Q6both Q6c  q8a q8b q8c  Q10 Q11a Q11b  Q12_1 Q12_2 Q12_3 Q12_4
 Q13_1 Q13_2 Q13_3 Q13_4 Q13_5 Q13_6 Q13_7 Q13_8 Q13_9 Q13_10 Q13_11 Q13_12 Q13_13 Q13_14 Q13_15 Q13_16 Q13_17 Q13_18 Q13_19 Q13_20 Q13_21 Q13_22 Q13_23 Q13_24
 Q14  Q15_1 Q15_2 Q15_3  Q16atoQ16e_1 Q16atoQ16e_2 Q16atoQ16e_3 Q16atoQ16e_4 Q16atoQ16e_5  Q17 Q17oth  QQ1_1 QQ1_2 QQ1_3 QQ2 QQ3
 DURABLES_1 DURABLES_2 DURABLES_3 DURABLES_4 DURABLES_5 DURABLES_6 DURABLES_7 DURABLES_8 DURABLES_9 DURABLES_10 AgriLand cookrLPG  presSpou  presAdul  presKids.

*get 	       file	'D:\_WAS\2017 India\2017 India partly processed.sav'.

'zzz var lab at_putUp;  may need to recode to feminist, values 1-5?

*************************************************************
*
*       Combine all WAS surveys carried out so far:
*
*************************************************************.

*get	file='D:\_WAS\WAS at constant prices.sav'.					/* This line can be used to check syntax below.
*get	file='D:\_WAS\WAS at current prices.sav'.  					/* This line can be used to check syntax below.
*breakd		earn_hus by survey.

add files
	   /file	'D:\_WAS\1992 India\1992 India partly processed.sav'
	   /file	'D:\_WAS\1994 Brazil\1994 Brazil partly processed.sav'
	   /file	'D:\_WAS\1997 India\1997 India partly processed.sav'
	   /file	'D:\_WAS\2001-2 Indonesia\Indonesia partly processed.sav'
	   /file	'D:\_WAS\2002 India\2002 India partly processed.sav'
	   /file	'D:\_WAS\2003 Nigeria\2003 Nigeria partly processed.sav'
	   /file	'D:\_WAS\2004 Kenya\2004 Kenya partly processed.sav'
	   /file	'D:\_WAS\2004 Kenya\2004 Kenya kids.sav'
	   /file	'D:\_WAS\2005 Nigeria\2005 Nigeria partly processed.sav'
	   /file	'D:\_WAS\2005-6 Egypt\2005-6 Egypt partly processed.sav'
	   /file	'D:\_WAS\2007 India\2007 India partly processed.sav'
	   /file	'D:\_WAS\2008 Chad\2008 Chad partly processed.sav'
	   /file	'D:\_WAS\2009 Cameroon\2009 Cameroon partly processed.sav'
	   /file	'D:\_WAS\2011 Congo Brazzaville\2011 Congo Brazzaville partly processed.sav'
	   /file	'D:\_WAS\2012 India\2012 India partly processed.sav'
	   /file	'D:\_WAS\2017 India\2017 India partly processed.sav'.

string                                                           				survey (a14).
if (INT_year=1992)	                                  		survey = '1992 India'.
if (INT_year=1994)                                  			survey = '1994 Brazil'.
if (INT_year=1997)                                  			survey = '1997 India'.
if (INT_year=2001)	                                  		survey = '2001 Indonesia'.
if (INT_year=2002 & live_cit>  6)	        	survey = '2002 Indonesia'.
if (INT_year=2002 & live_cit<10)		        survey = '2002 India'.
if (INT_year=2003)	                                  		survey = '2003 Nigeria'.
if (INT_year=2004)		                                  	survey = '2004 Kenya'.
if (INT_year=2005)		                                  	survey = '2005 Nigeria'.
if (INT_year=2005 & INT_mnth=12)	  	survey = '2005-6 Egypt'.
if (INT_year=2006)		                                  	survey = '2005-6 Egypt'.
if (INT_year=2007)		                                  	survey = '2007 India'.
if (INT_year=2008)		                                  	survey = '2008 Chad'.
if (INT_year=2009)		                                  	survey = '2009 Cameroon'.
if (INT_year=2011)			                                  survey = '2011 CongoBraz'.
if (INT_year=2012 or INT_year=2013)	survey = '2012 India'.
if (INT_year=2017)		                                  	survey = '2017 India'.
var label	                  		                                   	survey  'Country & year where this survey data was obtained'.
*freq                                                                survey.

string                            	                              				liveCtry  (a2).
var lab    		                                          	          		liveCtry "Country where interviewed".
if (INT_year=1992)	                                 			liveCtry = 'IN'.
if (INT_year=1994)		                                 		liveCtry = 'BR'.
if (INT_year=1997)                                 				liveCtry = 'IN'.
if (INT_year=2001)		                                 		liveCtry = 'ID'.
if (INT_year=2002 & live_cit>  6)        		liveCtry = 'ID'.
if (INT_year=2002 & live_cit<10)		        liveCtry = 'IN'.
if (INT_year=2003)	                                 			liveCtry = 'NG'.
if (INT_year=2004)		                                 		liveCtry = 'KE'.
if (INT_year=2005)                                 				liveCtry = 'NG'.
if (INT_year=2005 & INT_mnth=12)   	liveCtry = 'EG'.
if (INT_year=2006)                                 				liveCtry = 'EG'.
if (INT_year=2007)                                 				liveCtry = 'IN'.
if (INT_year=2008)		                                 		liveCtry = 'TD'.
if (INT_year=2009)	                                 			liveCtry = 'CM'.
if (INT_year=2011)	                                 			liveCtry = 'CG'.
if (INT_year=2012 or INT_year=2013) liveCtry = 'IN'.
if (INT_year=2017)                                 				liveCtry = 'IN'.
freq                                                                  liveCtry.

* The next line is to estimate the fraction unemployed, and fraction of each age-group are at school, etc.
*save  outfile	'D:\_WAS reference\person level data on all countries except SAfrica.sav'.

*compute			INT_tim = trunc(INT_time).			/* Can I trust temperat data in Egypt?.
*graph	line mean ( temperat ) by 	INT_tim  by survey.
*graph	line mean ( temperat ) by 	INT_tim  by air_cond.

* It's quicker to run the following files once (for all years combined), rather than on each separate survey.
include		'D:\_WAS\spss syntax for all years\identify typing errors.sps'.
include		'D:\_WAS\spss syntax for all years\derive HH vars from P1 etc.sps'.
include		'D:\_WAS\spss syntax for all years\count number in each agegroup.sps'.
exec.
add files	/file = * /file = 	'D:\_WAS\2000 S. Africa\2000 S. Africa partly processed.sav'. 	/* Add S.Africa (the above 3 syntax files won't work in S.Africa: no p1_ etc vars).
if (INT_year=2000)	survey = '2000 S. Africa'.
if (INT_year=2000)	liveCtry = 'ZA'.

recode                                         sourceFile (sysmis = 0).
if (sex=1 and sourceFile=0) sourceFile = 1.
if (sex=0 and sourceFile=0) sourceFile = 2.
if                      (sourceFile=0) sourceFile = 2.   /* In a few cases (mainly Indonesia), don't know if respondent male or female;  assume male (if about 50% in ID male).
val lab                                          sourceFile    1 'female respondent'  2 'male respondent'  3 'child'. /* No longer in use:  4 'all children in the household'. 
formats                                       sourceFile (f2.0).
cros                        survey   by sourceFile.
* The only cases in WAS of sourceFile = 3 are KE one-case-per-child (for child height).

include		'D:\_WAS\spss syntax for all years\derive_variables.sps'.
*breakd proRequi pro_need by survey /cells mean.

* Each ethnic/tribe group is closely associated with a language;  use it to create a more detailed ethnic variable.
*if (survey = '1997 India' or survey='2002 India')	ethnic =	INT_LANG.	/* For 1992 India, it may be possible to identify which part of India (North/South) from surname.
*if (survey = '1994 Brazil')			INT_LANG = 60206022.02 .  /* Assume all speak Portuguese.
* Could use surname, or birthplace or parents/grandparents, to find ethnicity for Brazil.
include		'D:\_WAS\spss syntax for all years\language and ethnic vars.sps'.   /* I also use this file for DHS and Afrobarometer.
include		'D:\_WAS\spss syntax for all years\ICSE ISCO ISIC job labels.sps'.
include		'D:\_WAS\spss syntax for all years\BORN and LIVEvariables.sps'.
include		'D:\_WAS\spss syntax for all years\BORNtluk labels.sps'.
include		'D:\_WAS\spss syntax for all years\LIVEtluk labels.sps'.
include		'D:\_WAS\spss syntax for all years\food prices.sps'.
*include		'D:\_WAS\spss syntax for all years\temperature in that month and state.sps'.	/* Not currently in use: would make the data file bigger.
*include		'D:\_WAS\spss syntax for all years\temperatures max and min.sps'.		/* Not currently in use: would make the data file bigger.

cros survey by married.  /* Fix 2011 Congo-Brazz.

*cros	INTerror  	by survey.				/* I could use INTerror='married, no spouse in hh', to create a new variable?.
*cros 	survey 		by married	/cells row.		/* A surprisingly large number of people in S.Africa & Nigeria are single.
*cros 	religion 		by marriedP	/cells row.		/* Not all polygamous people are Muslim.
*cros	married		by famInLaw.		/* Suspicious: I wouldn't expect more than a handful of cases of unmarried but living with in-laws.
*cros	educ_hus 	by survey /cells col.			/* Maybe graduates in Egypt should be 75, not 80.
*cros	educ_wif  	by survey /cells col.			/* Maybe graduates in Egypt should be 75, not 80.

* Checks.
*if 	 (age<>	ageCheck)	ageok = 0.
*if 	 (age = 	ageCheck) 	ageok = 1.
*cros		ageok         by survey.			/* Hopeless for NG 2005.
*cros		ageCheck	by survey.			/* Implausible for NG 2005;  so don't worry about the previous line - don't trust ageCheck.

*cros	 job             by jobCheck      	by survey.		/* Would need to change jobCheck, before this line can be interpreted.

*cros	 n_people    by n_peopleChek	by survey.		/* 2008 Chad:  a good match.
*cros	 n_people        n_peopleChek	by survey.


* I could work out  INTw_day for some surveys (already done, for CM).


* The spending & income variables in this list are in the same order as the list of value labels in 'derive_variables.sps'.
formats	cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif
	mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif churcHus,churcWif 
	otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	mindKids	paid_hus paid_wif	  sEmp_hus sEmp_wif			  (f5.2).
formats	job_icse   jobSicse    jobHicse 	jobWicse
	job_isco   jobSisco    jobHisco 	jobWisco
	job_isic    jobSisic     jobHisic 	jobWisic job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM
	transhum HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s  
	at_jbSGL at_jbNOK at_jbKID at_jbINF at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi 
	at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow 
	at_letMe at_order at_fight at_noHit at_honor   at_prote at_sEarn at_iEarn at_wantL
	at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn
	illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel
	TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork
	viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence
					violHumi    violThre   violPush  violSlap   violPunc  violKick   violBurn   violTkni  violKnif   violRape
					vioRHumi vioRThre vioRPush vioRSlap vioRPunc vioRKick vioRBurn vioRTkni vioRKnif vioRRape
	 violchas   violbeat  violverb   violdeny   violmony   violcold
	vioDchas vioDbeat vioDverb vioDdeny vioDmony vioDcold vioDhumi vioDslap  at_chase   out_hus out_wif out_resp out_spou
	bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTResp shares credCard garaCard bankCard onCredit life_ins endowIns annuiIns 
	funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loanCath loanOthr loanPriv 
	loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz doIntnet doBillbd
	hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster purifier   washmach vacuum sewMachi freezer dishwash bed
	clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 
	livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast 
	hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure	  (f5.0).
formats	waterTap waterHot toilet dwliquid cookType lighting							  	  (f4.1).
formats	skipmeal respMeal skipEver ca_total proRequi ca_requi ca_requi_u24 ca_requi_u21 ca_requi_u18 ca_requi_u16 heighAny heighPct		  (f5.0).
formats	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber 
	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other	sp_FOOD 
	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink 
	sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT
	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax			sp_TOTAL
	sp_Hmeal,sp_Wmeal  sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth   sp_Hgamb,sp_Wgamb
	sp_Hsoft, sp_Wsoft   sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe
	sp_Hpers,sp_Wpers   sp_Hmobi,sp_Wmobi	sp_Hweb,  sp_Wweb  sp_Hremt,sp_Wremt	sp_Hchar,sp_Wchar  sp_Hcars,sp_Wcars
	sp_Hleis,  sp_Wleis	sp_Hothr,  sp_Wothr			sp_Hharm sp_Wharm
	saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome   HHincEQI incInter incRemit incPrope incPensi inc_govt incOther	  (f9.0).
formats	ethnic		INT_LANG  INT2LANG									(f12.2).
formats	BORNarea	BORNpopn	BORNurbn	BORNzone  
                 	  LIVEarea	    LIVEpopn	   LIVEurbn	   LIVEzone	postcode	migrant							  (f5.0).
formats	BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel				  (f6.3).
formats	temperat 												  (f4.1).
formats	thermometer    INTplace INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek IMRBclas INTfemal INTpresn,INT_pres
	resp_ord spou_ord husbefor wifbefor literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif	youngest oldest
	 mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__
	   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__
	n_age_0 n_age_1 n_age_2 n_age_3 n_age_4 n_age_5 n_age_6 n_age_7 n_age_8 n_age_9 n_age_10 n_age_11 n_age_12 n_age_13 n_age_14 n_age_15
	n_age_16 n_age_17 n_age_18
	   ownchild n_female n_male n_babies n_childr n_adults n_people n_earner	fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou
	ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM			(f5.0).
formats 	MARR_len	hh_equiv											(f5.2).
* Could use more decimal places for INT_LANG.  Repeat the above list of variables for 'missing values' and 'add value labels' and 'save file.../keep'.
*String:	  LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist,   LIVEtluk, 
	BORNcity, BORNctry, BORNcnty, BORNdist, BORNtluk, 	BORN_hus,BORN_wif, WHYnoJOB WHY_stop why_sav1 why_sav2 survey.
breakd cook_hus by survey.

* Clarify missing data (numeric vars only): .
missing values
	cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif
	mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif churcHus,churcWif 
	otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	MINDkids	paid_hus paid_wif	  sEmp_hus sEmp_wif
	job_icse   jobSicse    jobHicse 	jobWicse
	job_isco   jobSisco    jobHisco 	jobWisco
	job_isic	   jobSisic     jobHisic 	jobWisic job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM
	transhum HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s  
	at_jbSGL at_jbNOK at_jbKID at_jbINF at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi 
	at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow 
	at_letMe at_order at_fight at_noHit at_honor  at_prote at_sEarn at_iEarn at_wantL
	at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn
	illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel
	TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork
	viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence
					violHumi    violThre   violPush  violSlap   violPunc  violKick   violBurn   violTkni  violKnif   violRape
					vioRHumi vioRThre vioRPush vioRSlap vioRPunc vioRKick vioRBurn vioRTkni vioRKnif vioRRape
	 violchas   violbeat  violverb   violdeny   violmony   violcold
	vioDchas vioDbeat vioDverb vioDdeny vioDmony vioDcold vioDhumi vioDslap  at_chase   out_hus out_wif out_resp out_spou
	bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTResp shares credCard garaCard bankCard onCredit life_ins endowIns annuiIns 
	funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loanCath loanOthr loanPriv 
	loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz doIntnet doBillbd
	hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster purifier   washmach vacuum sewMachi freezer dishwash bed
	clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 
	livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast 
	hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure
	waterTap waterHot toilet dwliquid cookType lighting
	skipmeal respMeal skipEver ca_total proRequi ca_requi ca_requi_u24 ca_requi_u21 ca_requi_u18 ca_requi_u16
	heighAny heighPct								    ( -9 thru -1).
missing values
	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber 
	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other		sp_FOOD 
	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink 
	sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT
	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax				sp_TOTAL
	sp_Hmeal,sp_Wmeal  sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth   sp_Hgamb,sp_Wgamb
	sp_Hsoft, sp_Wsoft    sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe
	sp_Hpers,sp_Wpers    sp_Hmobi,sp_Wmobi	sp_Hweb,  sp_Wweb  sp_Hremt,sp_Wremt	sp_Hchar,sp_Wchar   sp_Hcars,sp_Wcars
	sp_Hleis,  sp_Wleis	sp_Hothr,  sp_Wothr			sp_Hharm sp_Wharm
	saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome   HHincEQI incInter incRemit incPrope incPensi inc_govt incOther
	ethnic		INT_LANG  INT2LANG
	BORNarea	BORNpopn	BORNurbn	BORNzone  
	  LIVEarea	  LIVEpopn	  LIVEurbn	  LIVEzone	postcode	migrant
	BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel
	temperat thermometer INTplace INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek INTfemal INTpresn,INT_pres
	resp_ord spou_ord husbefor wifbefor	literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif
	youngest oldest 
	 mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__
	   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__
	n_age_0 n_age_1 n_age_2 n_age_3 n_age_4 n_age_5 n_age_6 n_age_7 n_age_8 n_age_9 n_age_10 n_age_11 n_age_12 n_age_13 n_age_14 n_age_15
	n_age_16 n_age_17 n_age_18
	ownchild n_female n_male n_babies n_childr n_adults n_people n_earner	fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou
	ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM
	MARR_len	hh_equiv								    ( -9 thru -1).
* Add missing values to these string variables?
*	  LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist,   LIVEtluk, 
*	BORNcity, BORNctry, BORNcnty, BORNdist, BORNtluk, 	BORN_hus,BORN_wif, WHYnoJOB WHY_stop why_sav1 why_sav2 survey.
freq LIVEurbn.


* Numeric variables only: .
add value labels
	cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif
	mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif churcHus,churcWif 
	otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	MINDkids	paid_hus paid_wif	  sEmp_hus sEmp_wif
	job_icse   jobSicse    jobHicse 	jobWicse
	job_isco   jobSisco    jobHisco 	jobWisco
	job_isic	   jobSisic     jobHisic 	jobWisic job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM
	transhum HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s  
	at_jbSGL at_jbNOK at_jbKID at_jbINF at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi 
	at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow 
	at_letMe at_order at_fight at_noHit at_honor  at_prote at_sEarn at_iEarn at_wantL
	at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn
	illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel
	TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork
	viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence
					violHumi    violThre   violPush  violSlap   violPunc  violKick   violBurn   violTkni  violKnif   violRape
					vioRHumi vioRThre vioRPush vioRSlap vioRPunc vioRKick vioRBurn vioRTkni vioRKnif vioRRape
	 violchas   violbeat  violverb   violdeny   violmony   violcold
	vioDchas vioDbeat vioDverb vioDdeny vioDmony vioDcold vioDhumi vioDslap  at_chase   out_hus out_wif out_resp out_spou
	bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTResp shares credCard garaCard bankCard onCredit life_ins endowIns annuiIns 
	funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loanCath loanOthr loanPriv 
	loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz doIntnet doBillbd
	hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster purifier   washmach vacuum sewMachi freezer dishwash bed
	clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 
	livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast 
	hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure
	waterTap waterHot toilet dwliquid cookType lighting
	skipmeal respMeal skipEver ca_total proRequi ca_requi ca_requi_u24 ca_requi_u21 ca_requi_u18 ca_requi_u16	heighAny heighPct
	 -9"missing or wild"  -8"inapplicable"  -6"not asked in this survey"   -5"not in rural SA survey"  -3"no answer"  -2"refused"	-1"don't know".
freq	atProles.
add value labels
	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber 
	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other		sp_FOOD 
	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink 
	sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT
	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax				sp_TOTAL
	sp_Hmeal,sp_Wmeal    sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth  sp_Hgamb,sp_Wgamb
	sp_Hsoft, sp_Wsoft  sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe
	sp_Hpers,sp_Wpers     sp_Hmobi,sp_Wmobi	sp_Hweb,  sp_Wweb sp_Hremt,sp_Wremt	sp_Hchar,sp_Wchar sp_Hcars,sp_Wcars
	sp_Hleis,  sp_Wleis     sp_Hothr,  sp_Wothr		         sp_Hharm sp_Wharm
	saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome   HHincEQI incInter incRemit incPrope incPensi inc_govt incOther
	ethnic		INT_LANG  INT2LANG
	BORNarea	BORNpopn	BORNurbn	BORNzone  
	  LIVEarea	  LIVEpopn	  LIVEurbn	  LIVEzone	postcode	migrant
	BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel
	temperat thermometer INTplace INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek IMRBclas INTfemal INTpresn,INT_pres
	resp_ord spou_ord husbefor wifbefor literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif
	youngest oldest 
	 mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__
	   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__
	n_age_0 n_age_1 n_age_2 n_age_3 n_age_4 n_age_5 n_age_6 n_age_7 n_age_8 n_age_9 n_age_10 n_age_11 n_age_12 n_age_13 n_age_14 n_age_15
	n_age_16 n_age_17 n_age_18
	   ownchild n_female n_male n_babies n_childr n_adults n_people n_earner	fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou
	ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM
	MARR_len	hh_equiv
	 -9"missing or wild"  -8"inapplicable"  -6"not asked in this survey"   -5"not in rural SA survey"  -3"no answer"  -2"refused"	-1"don't know".
* -4 is specific to each variable.   BHPS use -7 for proxy respondent; most WAS data is from a proxy (1 person interviewed per HH).
crosstab	at_roles 	by survey /cells col.


* OPTIONAL:  to create more derived variables;  there's no need to create them, but the syntax may help WAS users.
*include 		'D:\_WAS\spss syntax for all years\derive data about the respondent.SPS'.
*save  outfile	'D:\_WAS reference\person level data on all countries except SAfrica.sav'.
* The above file is to estimate the fraction unemployed, the fraction of each age-group who are at school, etc.


* Note the file name:  this is BEFORE price adjustment.  Add string variables at the end of the list below (not in missing values etc).
*.
save   outfile='D:\_WAS\WAS at current prices.sav' / keep	INTerror
	cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif
	mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif churcHus,churcWif 
	otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	MINDkids	paid_hus paid_wif	  sEmp_hus sEmp_wif
	job_icse   jobSicse    jobHicse 	jobWicse
	job_isco   jobSisco    jobHisco 	jobWisco
	job_isic	   jobSisic     jobHisic 	jobWisic job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM
	transhum HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s  
	at_jbSGL at_jbNOK at_jbKID at_jbINF at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi 
	at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow 
	at_letMe at_order at_fight at_noHit at_honor  at_prote at_sEarn at_iEarn at_wantL
	at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn
	illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel
	TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork
	viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence
					violHumi    violThre   violPush  violSlap   violPunc  violKick   violBurn   violTkni  violKnif   violRape
					vioRHumi vioRThre vioRPush vioRSlap vioRPunc vioRKick vioRBurn vioRTkni vioRKnif vioRRape
	 violchas   violbeat  violverb   violdeny   violmony   violcold
	vioDchas vioDbeat vioDverb vioDdeny vioDmony vioDcold vioDhumi vioDslap  at_chase   out_hus out_wif out_resp out_spou
	bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTResp shares credCard garaCard bankCard onCredit life_ins endowIns annuiIns 
	funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loanCath loanOthr loanPriv 
	loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz doIntnet doBillbd
	hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster purifier   washmach vacuum sewMachi freezer dishwash bed
	clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 
	livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast 
	hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure
	waterTap waterHot toilet dwliquid cookType lighting
	skipmeal respMeal skipEver ca_total proRequi ca_requi  ca_requi_u24 ca_requi_u21 ca_requi_u18 ca_requi_u16	heighAny heighPct
	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber 
	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other		sp_FOOD 
	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink 
	sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT
	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax				sp_TOTAL
	sp_Hmeal,sp_Wmeal   sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth   sp_Hgamb,sp_Wgamb
	sp_Hsoft, sp_Wsoft   sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe
	sp_Hpers,sp_Wpers    sp_Hmobi,sp_Wmobi	sp_Hweb,  sp_Wweb  sp_Hremt,sp_Wremt	sp_Hchar,sp_Wchar  sp_Hcars,sp_Wcars
	sp_Hleis,  sp_Wleis     sp_Hothr,  sp_Wothr		          sp_Hharm sp_Wharm
	saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome   HHincEQI incInter incRemit incPrope incPensi inc_govt incOther
	ethnic		INT_LANG  INT2LANG
	BORNarea	BORNpopn	BORNurbn	BORNzone  
	  LIVEarea	  LIVEpopn	  LIVEurbn	  LIVEzone	postcode	migrant
	BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel
	temperat thermometer INTplace INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek IMRBclas INTfemal INTpresn,INT_pres
	resp_ord spou_ord husbefor wifbefor literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif
	youngest oldest 
	 mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__
	   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__
	n_age_0 n_age_1 n_age_2 n_age_3 n_age_4 n_age_5 n_age_6 n_age_7 n_age_8 n_age_9 n_age_10 n_age_11 n_age_12 n_age_13 n_age_14 n_age_15
	n_age_16 n_age_17 n_age_18
	   ownchild n_female n_male n_babies n_childr n_adults n_people n_earner	fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou
	ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM
	MARR_len	hh_equiv
	  LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist,   LIVEtluk, 
	BORNcity, BORNctry, BORNcnty, BORNdist, BORNtluk,	BORN_hus,BORN_wif, WHYnoJOB WHY_stop why_sav1 why_sav2 survey.


* Adjust prices in different countries and between different years of WAS surveys, to create new .sav file which makes comparisons easier.
* I estimated india 2017 prices, using a different source (see India 2017 syntax file).  Could consider using pr_cerea etc instead of PPP_now.
include	'D:\_WAS\spss syntax for all years\identify PPP_now to compare prices.SPS'.

*compute		     PPP_now = 8.80*(  (pr_cerea/10.39) + (pr_veget/3.78) + (pr_oil/77.43) + (pr_dairy/16.05) + (pr_bread/12.00) + (pr_meatF/49.55)  ) / 6.
*if (liveCtry='NG')  	     PPP_now = PPP_now*PPPregio.					/* Could adjust for regional price variation within Nigeria.
* I still don't believe the Indonesian results are correct;  but I'm not sure how to fix them - maybe it's the Jakarta prices I got in 2001 which are wrong?.
*breakd sex ppp_now by survey /cells mean.

* This list is in the same order as the list of value labels in 'derive_variables.sps'.
if (sp_cerea	>0)	sp_cerea	= sp_cerea	/ PPP_now.
if (sp_cereB	>0)	sp_cereB	= sp_cereB	/ PPP_now.
if (sp_bread	>0)	sp_bread	= sp_bread	/ PPP_now.
if (sp_veget	>0)	sp_veget	= sp_veget	/ PPP_now.
if (sp_meatF>0)	sp_meatF	= sp_meatF	/ PPP_now.
if (sp_fish	>0)	sp_fish  	= sp_fish	/ PPP_now.
if (sp_meat	>0)	sp_meat	= sp_meat	/ PPP_now.
if (sp_oil	>0)	sp_oil  	= sp_oil  	/ PPP_now.
if (sp_oilBr	>0)	sp_oilBr  	= sp_oilBr	/ PPP_now.
if (sp_dairy	>0)	sp_dairy	= sp_dairy	/ PPP_now.
if (sp_br_mi	>0)	sp_br_mi	= sp_br_mi	/ PPP_now.
if (sp_chees>0)	sp_chees	= sp_chees	/ PPP_now.
if (sp_bDair	>0)	sp_bDair	= sp_bDair	/ PPP_now.
if (sp_tuber	>0)	sp_tuber	= sp_tuber	/ PPP_now.
if (sp_grVeg	>0)	sp_grVeg	= sp_grVeg	/ PPP_now.
if (sp_pulse	>0)	sp_pulse	= sp_pulse	/ PPP_now.
if (sp_fruit	>0)	sp_fruit  	= sp_fruit	/ PPP_now.
if (sp_spice	>0)	sp_spice	= sp_spice	/ PPP_now.
if (sp_insta	>0)	sp_insta	= sp_insta	/ PPP_now.
if (sp_fMeal	>0)	sp_fMeal	= sp_fMeal	/ PPP_now.
if (sp_snack >0)	sp_snack	= sp_snack	/ PPP_now.
if (sp_mSnak>0)	sp_mSnak	= sp_mSnak/ PPP_now.
if (sp_biscu	>0)	sp_biscu	= sp_biscu	/ PPP_now.
if (sp_ices	>0)	sp_ices  	= sp_ices	/ PPP_now.
if (sp_cofee	>0)	sp_cofee	= sp_cofee	/ PPP_now.
if (sp_other	>0)	sp_other	= sp_other	/ PPP_now.
if (sp_FOOD>0)	sp_FOOD	= sp_FOOD	/ PPP_now.
if (sp_gas	>0)	sp_gas  	= sp_gas	/ PPP_now.
if (sp_elect	>0)	sp_elect	= sp_elect	/ PPP_now.
if (sp_el_wa	>0)	sp_el_wa	= sp_el_wa	/ PPP_now.
if (sp_ENERG>0)	sp_ENERG	= sp_ENERG/ PPP_now.
if (sp_phone>0)	sp_phone	= sp_phone	/ PPP_now.
if (sp_utili	>0)	sp_utili   	= sp_utili	/ PPP_now.
if (sp_rent 	>0)	sp_rent   	= sp_rent 	/ PPP_now.
if (sp_mortg	>0)	sp_mortg	= sp_mortg	/ PPP_now.
if (sp_housi	>0)	sp_housi	= sp_housi	/ PPP_now.
if (sp_loanR	>0)	sp_loanR	= sp_loanR	/ PPP_now.
if (sp_repai	>0)	sp_repai	= sp_repai	/ PPP_now.
if (sp_HOUSE>0)	sp_HOUSE	= sp_HOUSE/ PPP_now.
if (sp_tobac	>0)	sp_tobac	= sp_tobac	/ PPP_now.
if (sp_drink	>0)	sp_drink	= sp_drink	/ PPP_now.
if (sp_cigDr	>0)	sp_cigDr	= sp_cigDr	/ PPP_now.
if (sp_gambl>0)	sp_gambl	= sp_gambl	/ PPP_now.
if (sp_tFuel	>0)	sp_tFuel	= sp_tFuel	/ PPP_now.
if (sp_trans	>0)	sp_trans	= sp_trans	/ PPP_now.
if (sp_cloth	>0)	sp_cloth	= sp_cloth	/ PPP_now.
if (sp_clean	>0)	sp_clean	= sp_clean	/ PPP_now.
if (sp_toile	>0)	sp_toile   	= sp_toile	/ PPP_now.
if (sp_laund	>0)	sp_laund	= sp_laund	/ PPP_now.
if (sp_maid	>0)	sp_maid	= sp_maid	/ PPP_now.
if (sp_cCare	>0)	sp_cCare	= sp_cCare	/ PPP_now.
if (sp_hHelp	>0)	sp_hHelp	= sp_hHelp	/ PPP_now.
if (sp_medic>0)	sp_medic	= sp_medic	/ PPP_now.
if (sp_leisu	>0)	sp_leisu  	= sp_leisu	/ PPP_now.
if (sp_leisT	>0)	sp_leisT  	= sp_leisT	/ PPP_now.
if (sp_haird	>0)	sp_haird	= sp_haird	/ PPP_now.
if (sp_paper	>0)	sp_paper	= sp_paper	/ PPP_now.
if (sp_cerem>0)	sp_cerem	= sp_cerem	/ PPP_now.
if (sp_chari	>0)	sp_chari	= sp_chari	/ PPP_now.
if (sp_holid	>0)	sp_holid	= sp_holid	/ PPP_now.
if (sp_furni	>0)	sp_furni   	= sp_furni	/ PPP_now.
if (sp_remit	>0)	sp_remit	= sp_remit	/ PPP_now.
if (sp_educ 	>0)	sp_educ 	= sp_educ 	/ PPP_now.
if (sp_lessn	>0)	sp_lessn	= sp_lessn	/ PPP_now.
if (sp_tax	>0)	sp_tax   	= sp_tax	/ PPP_now.
if (sp_TOTAL>0)	sp_TOTAL	= sp_TOTAL/ PPP_now.
*.
if (sp_hmeal >0)	sp_hmeal	= sp_hmeal	/ PPP_now.
if (sp_wmeal>0)	sp_wmeal	= sp_wmeal	/ PPP_now.
if (sp_hdrnk	>0)	sp_hdrnk	= sp_hdrnk	/ PPP_now.
if (sp_wdrnk	>0)	sp_wdrnk	= sp_wdrnk	/ PPP_now.
if (sp_hclth	>0)	sp_hclth	= sp_hclth	/ PPP_now.
if (sp_wclth	>0)	sp_wclth	= sp_wclth	/ PPP_now.
if (sp_hgamb>0)	sp_hgamb	= sp_hgamb/ PPP_now.
if (sp_wgamb>0)	sp_wgamb	= sp_wgamb/ PPP_now.
if (sp_hsoft	>0)	sp_hsoft	= sp_hsoft	/ PPP_now.
if (sp_wsoft	>0)	sp_wsoft	= sp_wsoft	/ PPP_now.
if (sp_htoba	>0)	sp_htoba	= sp_htoba	/ PPP_now.
if (sp_wtoba	>0)	sp_wtoba	= sp_wtoba	/ PPP_now.
if (sp_hcafe	>0)	sp_hcafe	= sp_hcafe	/ PPP_now.
if (sp_wcafe	>0)	sp_wcafe	= sp_wcafe	/ PPP_now.
if (sp_hpers	>0)	sp_hpers	= sp_hpers	/ PPP_now.
if (sp_wpers	>0)	sp_wpers	= sp_wpers	/ PPP_now.
if (sp_hmobi>0)	sp_hmobi	= sp_hmobi	/ PPP_now.
if (sp_wmobi>0)	sp_wmobi	= sp_wmobi	/ PPP_now.
if (sp_hweb 	>0)	sp_hweb 	= sp_hweb 	/ PPP_now.
if (sp_wweb	>0)	sp_wweb 	= sp_wweb 	/ PPP_now.
if (sp_hremt	>0)	sp_hremt	= sp_hremt	/ PPP_now.
if (sp_wremt>0)	sp_wremt	= sp_wremt	/ PPP_now.
if (sp_Hchar	>0)	sp_Hchar	= sp_Hchar	/ PPP_now.
if (sp_Wchar>0)	sp_Wchar	= sp_Wchar	/ PPP_now.
if (sp_Hcars	>0)	sp_Hcars	= sp_Hcars	/ PPP_now.
if (sp_Wcars>0)	sp_Wcars	= sp_Wcars	/ PPP_now.
if (sp_Hleis	>0)	sp_Hleis	= sp_Hleis	/ PPP_now.
if (sp_Wleis	>0)	sp_Wleis	= sp_Wleis	/ PPP_now.
if (sp_Hothr	>0)	sp_Hothr	= sp_Hothr	/ PPP_now.
if (sp_Wothr>0)	sp_Wothr	= sp_Wothr	/ PPP_now.
if (saving	>0)	saving   	= saving	/ PPP_now.
*.
if (earn_hus	  >0)	earn_hus	= earn_hus / PPP_now.
if (earn_wif	   >0)	earn_wif  	= earn_wif	/ PPP_now.
if (earnResp	 >0)	earnResp	= earnResp	/ PPP_now.
if (earnSpou	 >0)	earnSpou  	= earnSpou	/ PPP_now.
if (earnOthr	  >0)	earnOthr   	= earnOthr	/ PPP_now.
if (HHincome>0)	HHincome	= HHincome/ PPP_now.
if (HHincEQI >0)	HHincEQI	= HHincEQI / PPP_now.
*.
var label  sp_cerea	'HH spending (1993 U.S.$ per month): cereals eg rice, corn, wheat flour'.
var label  sp_cereB	'HH spending (1993 U.S.$ per month): cereals eg rice, flour;  bread'.
var label  sp_bread	'HH spending (1993 U.S.$ per month): bread (& jam, in India)'.
var label  sp_veget	'HH spending (1993 U.S.$ per month): vegetables/fruit'.
var label  sp_meatF 	'HH spending (1993 U.S.$ per month): meat and fish'.
var label  sp_fish	'HH spending (1993 U.S.$ per month): fish'.
var label  sp_meat	'HH spending (1993 U.S.$ per month): meat'.
var label  sp_oil  	'HH spending (1993 U.S.$ per month): cooking oil (& butter/margerine)'.
var label  sp_oilBr	'HH spending (1993 U.S.$ per month): cooking oil, bread, jam, etc'.
var label  sp_dairy	'HH spending (1993 U.S.$ per month): milk, dairy products, milk food drinks'.
var label  sp_br_mi	'HH spending (1993 U.S.$ per month): bread & milk'.
var label  sp_chees	'HH spending (1993 U.S.$ per month): cheese & dairy products except milk'.
var label  sp_BDair	'HH spending (1993 U.S.$ per month): bread & dairy products'.
var label  sp_tuber	'HH spending (1993 U.S.$ per month): tubers eg cassava, sweet potato, potato'.
var label  sp_grVeg	'HH spending (1993 U.S.$ per month): green vegetables eg spinach'.
var label  sp_pulse	'HH spending (1993 U.S.$ per month): beans/pulses/nuts, e.g. mung beans, tofu'.
var label  sp_fruit	'HH spending (1993 U.S.$ per month): fruit'.
var label  sp_spice	'HH spending (1993 U.S.$ per month): spices eg salt'.
var label  sp_insta	'HH spending (1993 U.S.$ per month): instant foods (e.g. frozen, tinned)'.
var label  sp_Fmeal	'HH spending (1993 U.S.$ per month): restaurant meals'.
var label  sp_mSnak	'HH spending (1993 U.S.$ per month): restaurants & snacks'.
var label  sp_snack	'HH spending (1993 U.S.$ per month): snacks from street-stalls'.
var label  sp_biscu	'HH spending (1993 U.S.$ per month): biscuits, etc'.
var label  sp_ices 	'HH spending (1993 U.S.$ per month): ice-creams'.
var label  sp_cofee	'HH spending (1993 U.S.$ per month): coffee, tea, etc'.
var label  sp_other	'HH spending (1993 U.S.$ per month): other provisions'.
var label  sp_FOOD	'HH spending (1993 U.S.$ per month): ALL FOOD excluding restauraunts'.
var label  sp_gas  	'HH spending (1993 U.S.$ per month): gas/kerosene'.
var label  sp_elect	'HH spending (1993 U.S.$ per month): electricity'.
var label  sp_el_wa 	'HH spending (1993 U.S.$ per month): electricity + water'.
var label  sp_ENERG	'HH spending (1993 U.S.$ per month): gas+electricity'.
var label  sp_phone 	'HH spending (1993 U.S.$ per month): telephone bill (including mobile)'.
var label  sp_utili 	'HH spending (1993 U.S.$ per month): household utilities: electricity, gas, water, phone, etc'.
var label  sp_rent 	'HH spending (1993 U.S.$ per month): house rent'.
var label  sp_mortg	'HH spending (1993 U.S.$ per month): mortgage payment'.
var label  sp_housi 	'HH spending (1993 U.S.$ per month): house rent or mortgage'.
var label  sp_loanR	'HH spending (1993 U.S.$ per month): loan repayment'.			/* mortgage payment is with rent, not in sp_loanR.
var label  sp_repai	'HH spending (1993 U.S.$ per month): house repairs'.
var label  sp_HOUSE	'HH spending (1993 U.S.$ per month): RENT + GAS/ELECTRICITY/WATER'.
var label  sp_tobac	'HH spending (1993 U.S.$ per month): tobacco'.
var label  sp_drink	'HH spending (1993 U.S.$ per month): alcoholic drinks'.
var label  sp_CigDr	'HH spending (1993 U.S.$ per month): tobacco + drink'.
var label  sp_gambl	'HH spending (1993 U.S.$ per month): gambling, lottery'.
var label  sp_tFuel 	'HH spending (1993 U.S.$ per month): fuel for car (& insurance)'.
var label  sp_trans 	'HH spending (1993 U.S.$ per month): transport'.
var label  sp_cloth	'HH spending (1993 U.S.$ per month): clothes/footwear inc repairs'.
var label  sp_clean	'HH spending (1993 U.S.$ per month): cleaning products, eg detergent'.
var label  sp_toile	'HH spending (1993 U.S.$ per month): personal toiletries'.
var label  sp_laund	'HH spending (1993 U.S.$ per month): laundry services'.
var label  sp_maid 	'HH spending (1993 U.S.$ per month): servant/maid'.
var label  sp_cCare	'HH spending (1993 U.S.$ per month): child-care'.
var label  sp_hHelp	'HH spending (1993 U.S.$ per month): laundry, maid (& child-care)'.
var label  sp_medic	'HH spending (1993 U.S.$ per month): paid to hospital/doctor, medicine, etc'.
var label  sp_leisu	'HH spending (1993 U.S.$ per month): recreation/entertainment'.
var label  sp_leisT	'HH spending (1993 U.S.$ per month): recreation/entertainment + tobacco/alcohol'.
var label  sp_haird	'HH spending (1993 U.S.$ per month): make-up & hairdressers'.
var label  sp_paper	'HH spending (1993 U.S.$ per month): newspapers & magazines'.
var label  sp_cerem	'HH spending (1993 U.S.$ per month): ceremonies/rituals, e.g. wedding'.
var label  sp_chari	'HH spending (1993 U.S.$ per month): gifts to charities'.
var label  sp_holid	'HH spending (1993 U.S.$ per month): travel/vacations (holidays)'.
var label  sp_furni	'HH spending (1993 U.S.$ per month): furniture e.g. beds, sheets, towels'.
var label  sp_remit	'HH spending (1993 U.S.$ per month): regular non-food gifts outside HH'.
var label  sp_educ	'HH spending (1993 U.S.$ per month): education: school or college fees'.
var label  sp_lessn	'HH spending (1993 U.S.$ per month): private lessons'.
var label  sp_tax  	'HH spending (1993 U.S.$ per month): tax, including property & vehicle'.
var label  sp_TOTAL 	'Total HH spending (1993 U.S.$ per month)'.
*.
var label  sp_Hmeal 	"Spending by husband/male respondent (1993 U.S.$ per month):  restaurant meals".
var label  sp_Wmeal	    "Spending by wife/female respondent (1993 U.S.$ per month):  restaurant meals".
var label  sp_Hdrnk	"Spending by husband/male respondent (1993 U.S.$ per month):  alcohol".
var label  sp_Wdrnk	    "Spending by wife/female respondent (1993 U.S.$ per month):  alcohol".
var label  sp_HClth	"Spending by husband/male respondent (1993 U.S.$ per month):  clothes & shoes".
var label  sp_WClth	    "Spending by wife/female respondent (1993 U.S.$ per month):  clothes & shoes".
var label  sp_HGamb	"Spending by husband/male respondent (1993 U.S.$ per month):  lottery/gambling".
var label  sp_WGamb	    "Spending by wife/female respondent (1993 U.S.$ per month):  lottery/gambling".
var label  sp_Hsoft	"Spending by husband/male respondent (1993 U.S.$ per month):  soft drink".
var label  sp_Wsoft	    "Spending by wife/female respondent (1993 U.S.$ per month):  soft drink".
var label  sp_Htoba	"Spending by husband/male respondent (1993 U.S.$ per month):  tobacco etc".
var label  sp_Wtoba	    "Spending by wife/female respondent (1993 U.S.$ per month):  tobacco etc".
var label  sp_Hcafe	"Spending by husband/male respondent (1993 U.S.$ per month):  cafe etc".
var label  sp_Wcafe	    "Spending by wife/female respondent (1993 U.S.$ per month):  cafe etc".
var label  sp_Hpers	"Spending by husband/male respondent (1993 U.S.$ per month):  care e.g. haircut".
var label  sp_Wpers	    "Spending by wife/female respondent (1993 U.S.$ per month):  care e.g. haircut".
var label  sp_Hmobi	"Spending by husband/male respondent (1993 U.S.$ per month):  mobile phone".
var label  sp_Wmobi	    "Spending by wife/female respondent (1993 U.S.$ per month):  mobile phone".
var label  sp_Hweb	"Spending by husband/male respondent (1993 U.S.$ per month):  internet".
var label  sp_Wweb	    "Spending by wife/female respondent (1993 U.S.$ per month):  internet".
var label  sp_Hremt	"Spending by husband/male respondent (1993 U.S.$ per month):  to family outside hh".
var label  sp_Wremt	    "Spending by wife/female respondent (1993 U.S.$ per month):  to family outside hh".
var label  sp_Hchar	"Spending by husband/male respondent (1993 U.S.$ per month):  donations e.g. church".
var label  sp_Wchar	    "Spending by wife/female respondent (1993 U.S.$ per month):  donations e.g. church".
var label  sp_Hcars	"Spending by husband/male respondent (1993 U.S.$ per month):  transport equipment e.g. car".
var label  sp_Wcars	    "Spending by wife/female respondent (1993 U.S.$ per month):  transport equipment e.g. car".
var label  sp_Hleis	"Spending by husband/male respondent (1993 U.S.$ per month):  entertainment".
var label  sp_Wleis	    "Spending by wife/female respondent (1993 U.S.$ per month):  entertainment".
var label  sp_HOthr	"Spending by husband/male respondent (1993 U.S.$ per month):  other".
var label  sp_WOthr	    "Spending by wife/female respondent (1993 U.S.$ per month):  other".
var label  SAVING   	'Household saving (1993 U.S.$ per month)'.
*.
var label  earn_hus 	"Earnings of husband after tax (1993 U.S.$ per month)".
var label  earn_wif   	"Earnings of wife after tax (1993 U.S.$ per month)".
var label  earnResp 	"Earnings of respondent after tax (1993 U.S.$ per month)".
var label  earnSpou	"Earnings of respondent's spouse after tax (1993 U.S.$ per month)".
var label  earnOthr  	"Earnings of other household member(s) after tax (1993 U.S.$ per month)".
var label  HHincome	"Total household income (1993 U.S.$ per month)".
*var label  HHincChk	"Household income (1993 U.S.$ per month)".           /* This is for Cameroon only, so far.
var label  HHincEQI	"Household equivalent income (1993 U.S.$ per month): income, adjusted for number of people in household".

*breakd		sp_cerea  by survey.  /*WARNING: sp_cerea don't seem comparable, e.g. Brazil high (maybe Brazil respondents included breakfast cereals etc).
*breakd		sp_dairy   by survey.
*breakd		sp_meatF by survey.

save   outfile='D:\_WAS\WAS at constant prices.sav' / keep	INTerror
	cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif
	mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif churcHus,churcWif 
	otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	MINDkids		paid_hus paid_wif	  sEmp_hus sEmp_wif
	job_icse   jobSicse    jobHicse 	jobWicse
	job_isco   jobSisco    jobHisco 	jobWisco
	job_isic	   jobSisic     jobHisic 	jobWisic job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM
	transhum HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s  
	at_jbSGL at_jbNOK at_jbKID at_jbINF at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi 
	at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow 
	at_letMe at_order at_fight at_noHit at_honor  at_prote at_sEarn at_iEarn at_wantL
	at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep 
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn
	illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel
	TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork
	viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence
					violHumi    violThre   violPush  violSlap   violPunc  violKick   violBurn   violTkni  violKnif   violRape
					vioRHumi vioRThre vioRPush vioRSlap vioRPunc vioRKick vioRBurn vioRTkni vioRKnif vioRRape
	  violchas   violbeat  violverb   violdeny   violmony   violcold
	vioDchas vioDbeat vioDverb vioDdeny vioDmony vioDcold vioDhumi vioDslap  at_chase   out_hus out_wif out_resp out_spou
	bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTResp shares credCard garaCard bankCard onCredit life_ins endowIns annuiIns 
	funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loanCath loanOthr loanPriv 
	loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz doIntnet doBillbd
	hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster purifier   washmach vacuum sewMachi freezer dishwash bed
	clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 
	livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast 
	hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure
	waterTap waterHot toilet dwliquid cookType lighting
	skipmeal respMeal skipEver ca_total proRequi ca_requi ca_requi_u24 ca_requi_u21 ca_requi_u18 ca_requi_u16	heighAny heighPct
	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber 
	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other		sp_FOOD 
	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink 
	sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT
	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax				sp_TOTAL
	sp_Hmeal,sp_Wmeal  sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth   sp_Hgamb,sp_Wgamb
	sp_Hsoft, sp_Wsoft   sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe
	sp_Hpers,sp_Wpers   sp_Hmobi,sp_Wmobi	sp_Hweb,  sp_Wweb  sp_Hremt,sp_Wremt	sp_Hchar,sp_Wchar  sp_Hcars,sp_Wcars
	sp_Hleis,  sp_Wleis    sp_Hothr,  sp_Wothr		          sp_Hharm sp_Wharm
	saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome   HHincEQI incInter incRemit incPrope incPensi inc_govt incOther
	ethnic		INT_LANG  INT2LANG
	BORNarea	BORNpopn	BORNurbn	BORNzone  
	  LIVEarea	  LIVEpopn	  LIVEurbn	  LIVEzone	postcode	migrant
	BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel
	temperat thermometer INTplace INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek IMRBclas INTfemal INTpresn,INT_pres
	resp_ord spou_ord husbefor wifbefor literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif
	youngest oldest 
	 mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__
	   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__
 	n_age_0 n_age_1 n_age_2 n_age_3 n_age_4 n_age_5 n_age_6 n_age_7 n_age_8 n_age_9 n_age_10 n_age_11 n_age_12 n_age_13 n_age_14 n_age_15
	n_age_16 n_age_17 n_age_18
	   ownchild n_female n_male n_babies n_childr n_adults n_people n_earner	fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou
	ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM
	MARR_len	hh_equiv
	  LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist,   LIVEtluk, 
	BORNcity, BORNctry, BORNcnty, BORNdist, BORNtluk,	BORN_hus,BORN_wif, WHYnoJOB WHY_stop why_sav1 why_sav2 survey.
* temperAN removed.
* The above vars are the same list as for 'D:\_WAS\WAS at current prices.sav' above;  but now, spending & income variables are adjusted to 1993 U.S.$.
* The above file is mainly to allow users to assess which households earn less than $1 or $2 per day, often used to define poverty.
* For example, World Bank 'PovCal Net' (iresearch.worldbank.org/PovcalNet/jsp/index.jsp ) suggest $1.08 at 1993 value of the US$.  
* This is debateable - many economists claim that big households have "economies of scale", & advise researchers to use
* a "Household Equivalence Scales" (like hh_equiv) - but people disagree on how to calculate an equivalence scale.

breakd ca_requi proRequi by survey /cells mean.


* For WAS website: use fewer variables, to keep the file size reasonable.
save   outfile='D:\_WAS\WAS subset at constant prices.sav' / keep
	cook_hus cook_wif  wash_hus wash_wif 
	mind_hus mind_wif shop_hus shop_wif  leisuhus leisuwif 
	paid_hus paid_wif	job_hus job_wif  
	control  managmon finalsay at_final 
	at_jbNOK at_jbKID at_jbINF  at_roles  at_nkids
	at_shame  at_decid at_w_say at_pProb at_allow at_wAlow 
	at_letMe at_order at_fight at_noHit at_honor  at_sEarn at_iEarn at_wantL
	at_obey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids 	canGoOut 
	viol_hit  violhitb  viol_hus viol_wif 
	out_hus out_wif		hireMaid  
	fridge  microwve  washmach  phone car fan air_cond hometype 
	skipmeal 
	sp_cerea  sp_veget sp_meatF sp_oil  sp_dairy 	sp_insta sp_fMeal sp_mSnak 		sp_FOOD 
	sp_ENERG   sp_tobac sp_drink 
	sp_gambl  sp_cloth  sp_hHelp sp_housi  sp_house	sp_TOTAL
	sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth   sp_Hgamb,sp_Wgamb
	sp_Hharm sp_Wharm
	saving	earn_hus earn_wif    HHincome   
	ethnic ethnic_gp		INT_LANG
	   LIVEurbn	  LIVEzone
	temperat  INT_time,INT_mnth,INT_year INT_pres
	educ_wif educ_hus  age_hus age_wif
	n_childr n_adults n_earner	fam_ngen fam_type	 sex  religion  married
	  LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist		  survey.


zzz   YOU CAN STOP HERE.



get 	file   =	'D:\_WAS\WAS at constant prices.sav'.
* For Excel spreasheet showing GBV prevalence: .
*select if (liveCtry='IN').
*breakd viol_wif    by survey by sex /cells mean count.
*breakd vior_wif    by survey by sex /cells mean count.
*breakd age_wif    by survey by sex /cells mean.
*cros       age_wif    by survey by sex.
*breakd educYwif by survey by sex /cells mean.




*cros sexcheck by sex by survey.								/* A perfect match.

* The next file is created so I can look at it, to see if any useful variables are being discarded by mistake.
save   outfile =	'D:\_WAS reference\WAS excluded variables.sav' / drop
	cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif 
	mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif churcHus,churcWif 
	otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	MINDkids		paid_hus paid_wif	  sEmp_hus sEmp_wif
	job_icse   jobSicse    jobHicse 	jobWicse
	job_isco   jobSisco    jobHisco 	jobWisco
	job_isic	   jobSisic     jobHisic 	jobWisic job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM
	transhum
	HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s  
	at_jbSGL at_jbNOK at_jbKID at_jbINF at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi 
	at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow 
	at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep
	at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn
	illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel
	TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork
	viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence
					violHumi    violThre   violPush  violSlap   violPunc  violKick   violBurn   violTkni  violKnif   violRape
					vioRHumi vioRThre vioRPush vioRSlap vioRPunc vioRKick vioRBurn vioRTkni vioRKnif vioRRape
	  violchas   violbeat  violverb   violdeny   violmony   violcold
	vioDchas vioDbeat vioDverb vioDdeny vioDmony vioDcold vioDhumi vioDslap  at_chase   out_hus out_wif out_resp out_spou
	violSpen violChil violWork
	bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTResp shares credCard garaCard bankCard onCredit life_ins endowIns annuiIns 
	funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loanCath loanOthr loanPriv 
	loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz doIntnet doBillbd
	hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster purifier   washmach vacuum sewMachi freezer dishwash bed
	clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 
	livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast 
	hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure
	waterTap waterHot toilet dwliquid cookType lighting
	skipmeal respMeal ca_total proRequi ca_requi ca_requi_u24 ca_requi_u21 ca_requi_u18 ca_requi_u16	heighAny heighPct
	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber 
	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other		sp_FOOD 
	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink 
	sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT
	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax				sp_TOTAL
	sp_Hmeal,sp_Wmeal   	sp_Hdrnk,sp_Wdrnk	sp_Hclth,  sp_Wclth
	sp_Hgamb,sp_Wgamb	sp_Hsoft, sp_Wsoft	sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe
	sp_Hpers,sp_Wpers	sp_Hmobi,sp_Wmobi	sp_Hweb,  sp_Wweb	sp_Hremt,sp_Wremt	sp_Hchar,sp_Wchar	sp_Hcars,sp_Wcars
	sp_Hleis,  sp_Wleis	sp_Hothr,  sp_Wothr			sp_Hharm sp_Wharm
	saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome   HHincEQI incInter incRemit incPrope incPensi inc_govt incOther
	ethnic		INT_LANG  INT2LANG
	INT_LAN2 	INT_LAN4   INT_LAN6
	BORNarea	BORNpopn	BORNurbn	BORNzone  
	  LIVEarea	  LIVEpopn	  LIVEurbn	  LIVEzone	postcode	migrant
	BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel
	temperat 	INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek IMRBclas INTfemal INTpresn,INT_pres    resp_ord spou_ord husbefor wifbefor
	literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif	youngest oldest 
	 mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__
	   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__
 	n_age_0 n_age_1 n_age_2 n_age_3 n_age_4 n_age_5 n_age_6 n_age_7 n_age_8 n_age_9 n_age_10 n_age_11 n_age_12 n_age_13 n_age_14 n_age_15
	n_age_16 n_age_17 n_age_18
 	  ownchild n_female n_male n_babies n_childr n_adults n_people n_earner	fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou
	ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM
	MARR_len	hh_equiv
	  LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist,   LIVEtluk, 
	BORNcity, BORNctry, BORNcnty, BORNdist, BORNtluk, 	BORN_hus,BORN_wif, WHYnoJOB WHY_stop why_sav1 why_sav2
	n_age_45 n_age_78 n_age_1011 n_age_1617.
exec.	/* The above vars are the same list as for 'D:\_WAS\WAS at current prices.sav' above, but are now  "/drop"  instead of  "/keep", except survey (for next few lines).


* Check no useful variables have been lost from the main file, by looking at variables in the next file: .
get 	file   =	'D:\_WAS reference\WAS excluded variables.sav'.
disp labels.
* CHECK ABOVE FILE:  are any of these variables worth keeping?  If so, they've been dropped (i.e. not kept) by mistake.

** Don't save these variables in 'D:\_WAS\WAS at constant prices.sav' or 'D:\_WAS\WAS at current prices.sav':
**
** Don't keep these variables (% of total spending): .
 sppoil sppbread sppdairy sppbdair sppsnack sppbiscu sppices sppcofee sppother sppfood sppgas sppelect
 sppel_wa sppphone spphouse sppdrink sppcigdr sppgambl spptrans sppcloth spplaund sppccare sppfmeal
 sppcerea sppveget sppbr_mi sppchees
 sppinsta sppmeatf spptobac sppenerg spPhousi sppmaid sppclean spploanr savingpc sppleisu.
**
** Don't keep (geographic):  	livestat (like liveCnty), bornstat (like bornCnty); born_dis born_tlu,metArea,prov,district,sc03.
** Don't keep (error checking):	responds respous.
** Don't keep these components of sp_cerea etc - they're only in Kenya 2004 (& would confuse users of WAS surveys):
 	sp_mFlou	sp_wheat	sp_sorgh	sp_milet		sp_cerea	sp_cornF	sp_weeta	sp_oats
 	sp_platn	sp_peas	sp_vegOt	sp_swPot	sp_potat	sp_yam		sp_maize	sp_beans
 	sp_gGram	sp_soya	sp_njahi	sp_peanu	sp_simsi 	sp_cashe	sp_oilOt		sp_ghee
 	sp_buttr		sp_marge	sp_mala	sp_shaky	sp_yogur	sp_cream	sp_eggs	sp_chees
 	sp_noodl 	sp_tins		sp_frozn	sp_sausa	sp_sodas	sp_juicC	sp_juice	sp_eDrnk
 	sp_coffe 	sp_tea		sp_cocoa	sp_choco
 	sp_cookG 	sp_keros.				    /* No equivalent in other WAS surveys of sp_morIn or sp_lifIn in KE, so keep them.
**
** Don't keep these prices - they're only in Kenya 2004, and I already used them to calculate PPP_now.
 	pr_mFlou	pr_maize	pr_wheat pr_rice		  pr_pasta 	pr_platn	  	pr_tuber
 	pr_swPot	pr_potat		pr_yam	  pr_peas		 pr_beans	pr_gGram	pr_meatF
 	pr_cashe	pr_peanu	pr_soya		pr_eggs	 	pr_njahi	  pr_sorgh	  pr_milet
 	pr_simsi	 pr_milk		  pr_mala		pr_shaky	pr_yogur	 pr_ghee	   pr_buttr
 	pr_chees	pr_cream	pr_fruit		  pr_vegOt	pr_oil		     pr_marge	 pr_bread.
**
** Don't keep:  PPP_now PPPregio (they're already used).
**
** Don't keep language vars (just keep respondent's first language, if known).
* 	L_Englis L_Afrika L_Zulu L_Xhosa L_NSotho L_SSotho L_Tswana L_Tsonga L_Venda
* 	L_Swazi L_Ndebel L_Hausa L_Igbo L_Yoruba L_Fulani L_Edo L_Tiv L_Nupe L_Urhobo L_other

** Don't keep:  eduCheck ageCheck.


* Could keep these variables: .
*breakd	age_head	by survey.						/* S.Africa only.	Could keep this?.
cros	hseType	by survey.						/* Kenya only.	Could keep this?.
*cros 	paidresp by workst.						/* Could keep workst for (subjective) part-time vs full-time employed.
*breakd mbJob 		by survey.					/* Brazil only.
*BORN_pa_ BORN_ma_  BORNpagf BORNpagm  BORNmagf BORNmagm.		/* Brazil only - birthplace of parents & grandparents.
*ca_cerea ca_veget ca_bread ca_oil ca_dairy ca_meatF ca_mSnak.			/* If keep these, add var labs.
*
*breakd sp_water sp_mobil by survey.
*breakd bornsize BORNarea BORNpopn by int_year.		/* BORNsize (1992 only) is like BORNarea	BORNpopn.
*cros 	liveLoca by liveDist.				/* Same info;  liveDist   is above, so ignore liveLoca.
*cros 	live_Loc by liveTluk.				/* Same info;  liveTluk   is above, so ignore live_Loc.
*cros	born_Dis by bornDist.				/* Same info;  bornDist is above, so ignore born_Dis.
*cros	born_Tlu  by bornTluk.				/* Same info;  bornTluk is above, so ignore born_Tlu.
*cros 	cookrele,cooker by survey.			/* Ignore cookrele & cooker: they may understate electric cooker ownership.
*corr  	sp_el_wa l_ks03a.				/* l_ks03a (Indonesia) unlabelled: I can't see what it is, but ks03a=sp_el_wa.
*corr	al01a with paid_hus.				/* corr=.739;  al01a=husband's paid hours per week.
*corr	al01b with paid_wif.				/* Weak correlation: see 'process raw data.sps', for 2002 Indonesia.

*It may be worth keeping:
* sp_milk sp_water sp_mobil
* w402 w404					(who decides how resp's & spouse's earnings spent).


* Could keep 'raw' variables which were excluded from the two ".sav" files above.  Note I added p16relat,p17relat,etc after writing the list below.
*save   outfile='D:\_WAS\was_person.sav' / keep
  P1_relat,P2_relat,P3_relat,P4_relat,P5_relat,P6_relat,P7_relat,P8_relat,P9_relat,P10relat,
  P11relat,P12relat,P13relat,P14relat,P15relat,
  P1_sex,P2_sex,P3_sex,P4_sex,P5_sex,P6_sex,P7_sex,P8_sex,P9_sex,P10sex,
  P11sex,P12sex,P13sex,P14sex,P15sex,
  P1_age,P2_age,P3_age,P4_age,P5_age,P6_age,P7_age,P8_age,P9_age,P10age,
  P11age,P12age,P13age,P14age,P15age,
  P1_educ,P2_educ,P3_educ,P4_educ,P5_educ,P6_educ,P7_educ,P8_educ,P9_educ,P10educ,
  P11educ,P12educ,P13educ,P14educ,P15educ,
  P1_job,P2_job,P3_job,P4_job,P5_job,P6_job,P7_job,P8_job,P9_job,P10job,
  P11job,P12job,P13job,P14job,P15job,
  P1_isic,P2_isic,P3_isic,P4_isic,P5_isic,P6_isic,P7_isic,P8_isic,P9_isic,P10isic,
  P11isic,P12isic,P13isic,P14isic,P15isic,
  P1_isco,P2_isco,P3_isco,P4_isco,P5_isco,P6_isco,P7_isco,P8_isco,P9_isco,P10isco,
  P11isco,P12isco,P13isco,P14isco,P15isco,
  P1_icse,P2_icse,P3_icse,P4_icse,P5_icse,P6_icse,P7_icse,P8_icse,P9_icse,P10icse,
  P11icse,P12icse,P13icse,P14icse,P15icse,
  P1_marit,P2_marit,P3_marit,P4_marit,P5_marit,P6_marit,P7_marit,P8_marit,P9_marit,P10marit,
  P11marit,P12marit,P13marit,P14marit,
  P1_relig,P2_relig,P3_relig,P4_relig,P5_relig,P6_relig,P7_relig,P8_relig,P9_relig,P10relig,
  P11relig,P12relig,P13relig,P14relig,
  P1_borns,P2_borns,P3_borns,P4_borns,P5_borns,P6_borns,P7_borns,P8_borns,P9_borns,P10borns,
  P11borns,P12borns,P13borns,P14borns,
  P1_hours,P2_hours,P3_hours,P4_hours,P5_hours,P6_hours,P7_hours,P8_hours,P9_hours,P10hours,
  P11hours,P12hours,P13hours,P14hours,
  P1_earn,P2_earn,P3_earn,P4_earn,P5_earn,P6_earn,P7_earn,P8_earn,P9_earn,P10earn,
  P11earn,P12earn,P13earn,P14earn,
  P1_presn,P2_presn,P3_presn,P4_presn,P5_presn,P6_presn,P7_presn,P8_presn,P9_presn,P10presn,
  P11presn 		IDnum.
*.
* Could use table to combine HH with person data;  but  would need to convert the data ... it would be hard work.
* If this were done, it would create a file with more cases (1 person per case, rather than 1 household per case).
*match files	/table	= 'D:\_WAS\WAS at constant prices.sav'
*		/file	= 'D:\_WAS\was_person.sav'			/by=INT_year,IDnum.





***   CHECKING DATA:   ***		below here are known problems with WAS data.

get file='D:\_WAS\WAS at constant prices.sav'.

breakd	sp_TOTAL		by survey.			/* Indonesia 2001: sp_total is far higher in 2001 than in 2002; and is low in Indonesia both years.
breakd  	sp_food  		by survey.			/* Indonesia is surprisingly low - I don't know why.

crosstab	viol_hit vioM_hit violhitb vioMhitb by sex 	by survey /cells col.	/* Indonesia:  more women than men seem to get hit; seems odd.

*cros 		oldest			by survey.		/* 99 in EG: missing data?.

* Check all variables systematically.  These variables are the same (and in the same order) as the above list of variables in  /save .
cros cook_hus cook_wif cookphus cookpwif cookchus cookcwif wash_hus wash_wif clothhus clothwif laundhus laundwif cleanhus cleanwif 	by survey/cells col.
cros mind_hus mind_wif shop_hus shop_wif doesshop leisuhus leisuwif waterHus,waterWif wood_hus,wood_wif farm_hus,farm_wif		by survey/cells col.
cros churcHus,churcWif otherHus,otherWif  hwrk_hus choreHus hwrk_wif choreWif	MINDkids	paid_hus paid_wif  sEmp_hus sEmp_wif	by survey/cells col.
cros job_icse   jobSicse    jobHicse 	jobWicse									by survey/cells col.
cros job_isco   jobSisco    jobHisco 	jobWisco									by survey/cells col.
cros job_isic	   jobSisic   jobHisic 	jobWisic 
			job job_spou job_hus job_wif job_cwe jobTenur paidEver businWho class_wk class_mi class_se class LSM 	by survey/cells col.
cros transhum HEALTsay VISITsay FOOD_say CHILDsay  control  managmon finalsay finalH_m finalW_m at_final managm_s finals_s at_fin_s	by survey/cells col.
cros at_jbnok at_jbkid at_jbinf at_kidjb at_infjb at_eqpay at_whapy,at_ohapy at_roles atproles atwroles atmroles at_nkids at_nsons at_ndaug at_consi by survey/cells col.
cros at_shame at_wJoin at_busy at_quick at_prepa at_canOK at_usefl  at_decid at_w_say at_pProb,at_eProb at_boost at_allow at_wAlow	by survey/cells col.
cros at_obey at_Hobey at_okHit at_putUp  at_hNegl at_h_out at_hArgu at_hNSex at_hBurn at_hCook at_hKeep  				by survey/cells col.
cros at_div_d,at_div_v,at_div_u at_CFwif at_CFhus at_cfMen at_mKids at_canDo at_cPray at_cLove at_cKids at_cAdvi at_cPlan at_cEarn	by survey/cells col.
cros illPermi illMoney illDista illTrans illAlone illFemal illNeedH	canGoOut canGoMkt canGoHlt canGoVis canGoRel 			by survey/cells col.
cros TALKwork TALKplan TALKkids TALKmony TALKcomu  argument 	  violSpen violChil violWork				by survey/cells col.
cros viol_hit vioM_hit violhitb vioMhitb viol_hus vioR_hus viol_wif vioR_wif violBhus violBwif violFrie violence				by survey/cells col.
cros violThre violPush violPunc violKick violBurn violTkni violKnif violRape							by survey/cells col.
cros  violchas   violbeat  violverb   violdeny   violhumi   violmony   violcold   violslap						by survey/cells col.
cros vioDchas vioDbeat vioDverb vioDdeny vioDhumi vioDmony vioDcold vioDslap at_chase out_hus out_wif out_resp out_spou  violSpen violChil violWork by survey/cells col.
cros bankResp bankSpou bank_hus bank_wif bank_jnt saveResp banTresp shares credcard garacard bankcard oncredit life_ins endowIns annuiIns 	by survey/cells col.
cros funerins medicIns shortIns otherIns loanMerr loanMicr loanKREP loanKWFT loanEqui loanFamF loanNCCK loanFaul loancath loanothr loanPriv 	by survey/cells col.
cros loanSavC loanBank loanBest loanBes2 has_loan hasSaved  doLtv doSateli doLradio doFradio doLpaper doFpaper doLmagaz doFmagaz	by survey/cells col.
cros doIntnet doBillbd hireMaid foodproc wetgrind fridge prescook microwve ricecook toaster   washmach vacuum sewMachi freezer dishwash bed  	by survey/cells col.
cros clock radio Hi_Fi TVbw TVcolour TV TVbox satelite video videoDVD computer internet use_PC e_mail phone mobile car motorcyc bicycle truck 	by survey/cells col.
cros livestok cows goats farmland farmEqip secondHm electric generatr fan air_cond hometype homehigh homewast			by survey/cells col.
cros hometras homepudl homestbl homevent homeyard homekout homecook homearea homeroom homebusn homeflor homewall homeroof tenure	by survey/cells col.
cros waterTap waterHot toilet dwliquid cookType lighting								by survey/cells col.
compute		    ca_total   =trunc(ca_total/1000).	/* Temporary (SPSS won't create a crosstab table with so many rows). Implausibly low for Indonesia.
compute		    ca_requi 	=trunc(ca_requi/1000).	/* Temporary (SPSS won't create a crosstab table with so many rows).
cros	skipmeal respMeal ca_total proRequi ca_requi heighAny heighPct						by survey/cells col.
compute		    sp_cerea =trunc(sp_cerea  /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_cereB	=trunc(sp_cereB  /10).
compute		    sp_bread	=trunc(sp_bread  /10).
compute		    sp_veget	=trunc(sp_veget   /10).
compute		    sp_meatF=trunc(sp_meatF /10).
compute		    sp_fish 	=trunc(sp_fish	  /10).
compute		    sp_meat 	=trunc(sp_meat	  /10).
compute		    sp_oil  	=trunc(sp_oil	  /10).
compute		    sp_oilBr	=trunc(sp_oilBr	  /10).
compute		    sp_dairy	=trunc(sp_dairy	  /10).
compute		    sp_br_mi	=trunc(sp_br_mi  /10).
compute		    sp_chees=trunc(sp_chees /10).
compute		    sp_bDair	=trunc(sp_bDair	  /10).
compute		    sp_tuber	=trunc(sp_tuber	  /10).
cros	sp_cerea sp_cereB sp_bread sp_veget sp_meatF sp_fish sp_meat sp_oil sp_oilBr sp_dairy sp_br_mi sp_chees sp_bDair sp_tuber      by survey/cells col.
compute		    sp_grVeg=trunc(sp_grVeg  /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_pulse	=trunc(sp_pulse	   /10).
compute		    sp_fruit	=trunc(sp_fruit	   /10).
compute		    sp_spice	=trunc(sp_spice   /10).
compute		    sp_insta	=trunc(sp_insta	   /10).
compute		    sp_fMeal	=trunc(sp_fMeal	   /10).
compute		    sp_snack=trunc(sp_snack  /10).
compute		    sp_mSnak=trunc(sp_mSnak /10).
compute		    sp_biscu	=trunc(sp_biscu	   /10).
compute		    sp_ices 	=trunc(sp_ices	   /10).
compute		    sp_cofee	=trunc(sp_cofee   /10).
compute		    sp_other	=trunc(sp_other	   /10).
compute		    sp_FOOD=trunc(sp_FOOD  /10).
cros	sp_grVeg sp_pulse sp_fruit sp_spice sp_insta sp_fMeal sp_snack sp_mSnak sp_biscu sp_ices sp_cofee sp_other	sp_FOOD	     by survey/cells col.
compute		    sp_gas    =trunc(sp_gas	   /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_elect	=trunc(sp_elect	   /10).
compute		    sp_el_wa	=trunc(sp_el_wa   /10).
compute		    sp_ENERG=trunc(sp_ENERG/10).
compute		    sp_phone=trunc(sp_phone  /10).
compute		    sp_utili	=trunc(sp_utili	   /10).
compute		    sp_rent 	=trunc(sp_rent	   /10).
compute		    sp_mortg	=trunc(sp_mortg   /10).
compute		    sp_housi	=trunc(sp_housi	   /10).
compute		    sp_repai	=trunc(sp_repai	   /10).
compute		    sp_house=trunc(sp_house   /10).
compute		    sp_loanR	=trunc(sp_loanR   /10).
compute		    sp_tobac	=trunc(sp_tobac	   /10).
compute		    sp_drink	=trunc(sp_drink	   /10).
cros	sp_gas sp_elect sp_el_wa sp_ENERG sp_phone sp_utili sp_rent sp_mortg sp_housi sp_repai sp_house sp_loanR sp_tobac sp_drink	     by survey/cells col.
compute		    sp_cigDr =trunc(sp_cigDr	   /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_gambl=trunc(sp_gambl   /10).
compute		    sp_tFuel	=trunc(sp_tFuel	   /10).
compute		    sp_trans	=trunc(sp_trans	   /10).
compute		    sp_cloth	=trunc(sp_cloth	   /10).
compute		    sp_clean	=trunc(sp_clean	   /10).
compute		    sp_toile	=trunc(sp_toile	   /10).
compute		    sp_laund	=trunc(sp_laund   /10).
compute		    sp_maid 	=trunc(sp_maid	   /10).
compute		    sp_cCare	=trunc(sp_cCare  /10).
compute		    sp_hHelp	=trunc(sp_hHelp   /10).
compute		    sp_medic=trunc(sp_medic  /10).
compute		    sp_leisu	=trunc(sp_leisu	   /10).
compute		    sp_leisT	=trunc(sp_leisT	   /10).
cros sp_cigdr sp_gambl sp_tFuel sp_trans sp_cloth sp_clean sp_toile sp_laund sp_maid sp_cCare sp_hHelp sp_medic sp_leisu sp_leisT	     by survey/cells col.
compute		    sp_haird  =trunc(sp_haird	   /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_paper	=trunc(sp_paper   /10).
compute		    sp_cerem=trunc(sp_cerem  /10).
compute		    sp_chari	=trunc(sp_chari	   /10).
compute		    sp_holid	=trunc(sp_holid	   /10).
compute		    sp_furni	=trunc(sp_furni	   /10).
compute		    sp_remit	=trunc(sp_remit	   /10).
compute		    sp_educ 	=trunc(sp_educ	   /10).
compute		    sp_lessn	=trunc(sp_lessn	   /10).
compute		    sp_tax  	=trunc(sp_tax	   /10).
compute		    sp_TOTAL=trunc(sp_TOTAL /10).
cros	sp_haird sp_paper sp_cerem sp_chari sp_holid sp_furni sp_remit sp_educ sp_lessn sp_tax			sp_TOTAL	     by survey/cells col.
compute		    sp_Hmeal =trunc(sp_Hmeal  /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_Wmeal=trunc(sp_Wmeal /10).
compute		    sp_Hdrnk	=trunc(sp_Hdrnk  /10).
compute		    sp_Wdrnk=trunc(sp_Wdrnk /10).
compute		    sp_Hclth	=trunc(sp_Hclth	   /10).
compute		    sp_Wclth	=trunc(sp_Wclth   /10).
compute		    sp_Hgamb=trunc(sp_Hgamb /10).
compute		    sp_Wgamb=trunc(sp_Wgamb/10).
compute		    sp_Hsoft	=trunc(sp_Hsoft    /10).
compute		    sp_Wsoft	=trunc(sp_Wsoft   /10).
compute		    sp_Htoba	=trunc(sp_Htoba   /10).
compute		    sp_Wtoba=trunc(sp_Wtoba  /10).
compute		    sp_Hcafe	=trunc(sp_Hcafe   /10).		/* In Egypt, it includes spending on cigarettes etc as well as on sheesha pipe, in cafe.
compute		    sp_Wcafe=trunc(sp_Wcafe  /10).
cros sp_Hmeal,sp_Wmeal sp_Hdrnk,sp_Wdrnk sp_Hclth,sp_Wclth sp_Hgamb,sp_Wgamb sp_Hsoft,sp_Wsoft sp_Htoba,sp_Wtoba sp_Hcafe,sp_Wcafe by survey/cells col.
compute		    sp_Hpers =trunc(sp_Hpers   /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_Wpers=trunc(sp_Wpers  /10).
compute		    sp_Hmobi=trunc(sp_Hmobi  /10).
compute		    sp_Wmobi=trunc(sp_Wmobi /10).
compute		    sp_Hweb =trunc(sp_Hweb   /10).
compute		    sp_Wweb=trunc(sp_Wweb  /10).
compute		    sp_Hremt=trunc(sp_Hremt  /10).
compute		    sp_Wremt=trunc(sp_Wremt /10).
compute		    sp_Hchar	=trunc(sp_Hchar  /10).
compute		    sp_Wchar=trunc(sp_Wchar /10).
compute		    sp_Hcars	=trunc(sp_Hcars  /10).
compute		    sp_Wcars=trunc(sp_Wcars /10).
cros	sp_Hpers,sp_Wpers	sp_Hmobi,sp_Wmobi   sp_Hweb,  sp_Wweb sp_Hremt,sp_Wremt   sp_Hchar,sp_Wchar sp_Hcars,sp_Wcars 	   by survey/cells col.
compute		    sp_Hleis  =trunc(sp_Hleis	  /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    sp_Wleis	=trunc(sp_Wleis  /10).
compute		    sp_Hothr	=trunc(sp_Hothr	  /10).
compute		    sp_Wothr=trunc(sp_Wothr /10).
cros	sp_Hleis,  sp_Wleis	sp_Hothr,  sp_Wothr			sp_Hharm sp_Wharm			     by survey/cells col.
compute		    saving  	=trunc(saving	  /10).	/* Temporary (SPSS won't create a crosstab table with so many rows).
compute		    earn_hus	=trunc(earn_hus  /10).
compute		    earn_wif	=trunc(earn_wif	  /10).
compute		    earnResp	=trunc(earnResp /10).
compute		    earnSpou	=trunc(earnSpou /10).
compute		    earnOthr	=trunc(earnOthr	  /10).
compute		    HHincome=trunc(HHincome/10).
compute		    HHincEQI=trunc(HHincEQI /10).
compute		    incInter	=trunc(incInter	  /10).
compute		    incRemit	=trunc(incRemit	  /10).
compute		    incPrope	=trunc(incPrope  /10).
compute		    incPensi	=trunc(incPensi	  /10).
compute		    inc_govt	=trunc(inc_govt	  /10).
compute		    incOther	=trunc(incOther	  /10).
cros saving	earn_hus earn_wif earnResp earnSpou earnOthr  HHincome HHincEQI incInter incRemit incPrope incPensi inc_govt incOther	     	by survey/cells col.
cros ethnic		INT_LANG  INT2LANG							     		by survey/cells col.
cros INT_LAN2 	INT_LAN4   INT_LAN6								     	by survey/cells col.
cros BORNarea	BORNpopn	BORNurbn	BORNzone  							by survey/cells col.
cros   LIVEarea	  LIVEpopn	  LIVEurbn	  LIVEzone	postcode	migrant					     	by survey/cells col.
cros BORNdnst LIVEdnst	BORNrati LIVErati	LIVElo_X LIVElo_Y LIVElo_D	INTweigt  heighRel			by survey/cells col.
cros temperat   INT_time,INT_day,INTw_day,INT_mnth,INT_year INT_code INT_chek INTfemal INTpresn,INT_pres resp_ord spou_ord husbefor wifbefor	by survey/cells col.
cros literate educ educspou educ_wif educ_hus educ_cwe educY, educYwif, educYhus age age_spou age_hus age_wif	youngest oldest	by survey/cells col.
cros mage_0 mage_1 mage_2 mage_3 mage_4_6 mage_7_9 mage1012 mage1314 mage15 mage1618 mage1924 mage2534 mage35__		by survey/cells col.
cros   fage_0  fage_1   fage_2  fage_3   fage_4_6  fage_7_9   fage1012   fage1314  fage15   fage1618   fage1924  fage2534   fage35__		by survey/cells col.
cros ownchild n_female n_male n_babies n_childr n_adults n_people n_earner fam_ngen faminlaw famrelat fam_type resp_hoh fem_head fem_spou 	by survey/cells col.
cros ethnic_gp sex  religion caste married MARRIEDn MARrelat MARRIEDp spouse sourceFile height heightMn heightZ2 ageM		by survey/cells col.
cros MARR_len	hh_equiv									     	by survey/cells col.
cros   LIVEcity,   LIVEctry,  LIVEcnty,   LIVEdist,   LIVEtluk								by survey/cells col. 
      BORNcity, BORNctry, BORNcnty, BORNdist, BORNtluk, 	BORN_hus,BORN_wif, WHYnoJOB WHY_stop why_sav1 why_sav2 		by survey.

freq livecnty.
